Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Interface Constants

All Known Subinterfaces:
  CompoundDatatype

All Known Implementing Classes:
  AbstractBorderElement, AbstractGraphics, AbstractGraphicsLayoutManager, AbstractLayoutManager, AbstractListItemPart, AbstractPageNumberCitation, AbstractPageNumberCitationLayoutManager, AbstractPageSequence, AbstractPageSequenceLayoutManager, AbstractPathOrientedRenderer, AbstractRenderer, AbstractRetrieveMarker, AbstractXMLRenderer, AlignmentContext, AWTRenderer, BasicLink, BasicLinkLayoutManager, BidiLayoutManager, BidiOverride, Block, BlockContainer, BlockContainerLayoutManager, BlockLayoutManager, BlockStackingLayoutManager, Bookmark, BookmarkTitle, BookmarkTree, Character, CharacterLayoutManager, ColorProfile, ConditionalPageMasterReference, CondLengthProperty, DashedBorderElement, Declarations, DottedBorderElement, ExternalDocument, ExternalDocumentLayoutManager, ExternalGraphic, ExternalGraphicLayoutManager, Float, FloatContentLayoutManager, FloatLayoutManager, Flow, FlowLayoutManager, FObj, FObjMixed, FontSizePropertyMaker, FontStretchPropertyMaker, Footnote, FootnoteBody, FootnoteBodyLayoutManager, FootnoteLayoutManager, FOPropertyMapping, IFRenderer, ImageLayout, InitialPropertySet, Inline, InlineContainer, InlineContainerLayoutManager, InlineLayoutManager, InlineLevel, InlineStackingLayoutManager, InstreamForeignObject, InstreamForeignObjectLM, Java2DRenderer, KeepProperty, LayoutMasterSet, Leader, LeaderLayoutManager, LeafNodeLayoutManager, LengthPairProperty, LengthRangeProperty, LineLayoutManager, ListBlock, ListBlockLayoutManager, ListItem, ListItemBody, ListItemContentLayoutManager, ListItemLabel, ListItemLayoutManager, Marker, MultiCase, MultiCaseLayoutManager, MultiProperties, MultiPropertySet, MultiSwitch, MultiSwitchLayoutManager, MultiToggle, PageableRenderer, PageNumber, PageNumberCitation, PageNumberCitationLast, PageNumberCitationLastLayoutManager, PageNumberCitationLayoutManager, PageNumberLayoutManager, PageProvider, PageSequence, PageSequenceLayoutManager, PageSequenceMaster, PageSequenceWrapper, PNGRenderer, PrintRenderer, PrintRenderer, Region, RegionAfter, RegionBA, RegionBefore, RegionBody, RegionEnd, RegionSE, RegionStart, RepeatablePageMasterAlternatives, RepeatablePageMasterReference, RetrieveMarker, RetrieveTableMarker, RetrieveTableMarkerLayoutManager, Root, SideRegion, SimplePageMaster, SinglePageMasterReference, SolidAndDoubleBorderElement, SpacedBorderedPaddedBlockLayoutManager, SpaceProperty, StaticContent, StaticContentLayoutManager, SVGRenderer, Table, TableAndCaption, TableAndCaptionLayoutManager, TableBody, TableCaption, TableCaptionLayoutManager, TableCell, TableCellContainer, TableCellLayoutManager, TableColumn, TableFObj, TableFooter, TableHeader, TableLayoutManager, TablePart, TableRow, TextLayoutManager, TIFFRenderer, Title, TXTRenderer, VerticalAlignShorthandParser, Wrapper, WrapperLayoutManager, XMLRenderer

    public interface Constants

Definition of constants used throughout FOP. There are sets of constants describing:

- Input and output formats
- Formatting objects (FO_XXX)
- Formatting properties (PR_XXX)
- Enumerated values used in formatting properties and traits (EN_XXX)

Field Summary
`static int` | `COMPOUND_COUNT` Number of compund properties defined
`static int` | `COMPOUND_MASK` Mask that when applied to a compound property returns the constant of the compound property.
`static int` | `COMPOUND_SHIFT` For compound properties the property constant value is shifted by this amount.
`static int` | `CP_BLOCK_PROGRESSION_DIRECTION` Property constant for compound property
`static int` | `CP_CONDITIONALITY` Property constant for compound property
`static int` | `CP_INLINE_PROGRESSION_DIRECTION` Property constant for compound property
`static int` | `CP_LENGTH` Property constant for compound property
`static int` | `CP_MAXIMUM` Property constant for compound property
`static int` | `CP_MINIMUM` Property constant for compound property
`static int` | `CP_OPTIMUM` Property constant for compound property
`static int` | `CP_PRECEDENCE` Property constant for compound property
`static int` | `CP_WITHIN_COLUMN` Property constant for compound property
`static int` | `CP_WITHIN_LINE` Property constant for compound property
`static int` | `CP_WITHIN_PAGE` Property constant for compound property
`static int` | `EN_100` Enumeration constant
`static int` | `EN_200` Enumeration constant
`static int` | `EN_300` Enumeration constant
`static int` | `EN_400` Enumeration constant
`static int` | `EN_500` Enumeration constant
`static int` | `EN_600` Enumeration constant
`static int` | `EN_700` Enumeration constant
`static int` | `EN_800` Enumeration constant
`static int` | `EN_900` Enumeration constant
`static int` | `EN_ABSOLUTE` Enumeration constant
`static int` | `EN_ABSOLUTE_COLORMETRIC` Enumeration constant
`static int` | `EN_AFTER` Enumeration constant
`static int` | `EN_AFTER_EDGE` Enumeration constant
`static int` | `EN_ALL` Enumeration constant
`static int` | `EN_ALPHABETIC` Enumeration constant
`static int` | `EN_ALTERNATE` Enumeration constant -- XSL 1.1
`static int` | `EN_ALWAYS` Enumeration constant
`static int` | `EN_ANY` Enumeration constant
`static int` | `EN_AUTO` Enumeration constant
`static int` | `EN_AUTO_EVEN` Enumeration constant
`static int` | `EN_AUTO_ODD` Enumeration constant
`static int` | `EN_AVOID` Enumeration constant -- page-break-shorthand
`static int` | `EN_BACKSLANT` Enumeration constant
`static int` | `EN_BASELINE` Enumeration constant
`static int` | `EN_BEFORE` Enumeration constant
`static int` | `EN_BEFORE_EDGE` Enumeration constant
`static int` | `EN_BIDI_OVERRIDE` Enumeration constant
`static int` | `EN_BLANK` Enumeration constant
`static int` | `EN_BLINK` Enumeration constant
`static int` | `EN_BLOCK` Enumeration constant
`static int` | `EN_BOLDER` Enumeration constant
`static int` | `EN_BOTH` Enumeration constant
`static int` | `EN_BOTTOM` Enumeration constant
`static int` | `EN_BOUNDED_IN_ONE_DIMENSION` Enumeration constant
`static int` | `EN_BT` Enumeration constant -- for *-direction traits
`static int` | `EN_CAPITALIZE` Enumeration constant
`static int` | `EN_CAPTION` Enumeration constant -- font shorthand
`static int` | `EN_CENTER` Enumeration constant
`static int` | `EN_CENTRAL` Enumeration constant
`static int` | `EN_CHARACTER_BY_CHARACTER` Enumeration constant
`static int` | `EN_COLLAPSE` Enumeration constant
`static int` | `EN_COLLAPSE_WITH_PRECEDENCE` Enumeration constant
`static int` | `EN_COLUMN` Enumeration constant
`static int` | `EN_CONDENSED` Enumeration constant
`static int` | `EN_CONSIDER_SHIFTS` Enumeration constant
`static int` | `EN_DASHED` Enumeration constant
`static int` | `EN_DISCARD` Enumeration constant
`static int` | `EN_DISREGARD_SHIFTS` Enumeration constant
`static int` | `EN_DOCUMENT` Enumeration constant
`static int` | `EN_DOTS` Enumeration constant
`static int` | `EN_DOTTED` Enumeration constant
`static int` | `EN_DOUBLE` Enumeration constant
`static int` | `EN_EMBED` Enumeration constant
`static int` | `EN_END` Enumeration constant
`static int` | `EN_END_ON_EVEN` Enumeration constant
`static int` | `EN_END_ON_ODD` Enumeration constant
`static int` | `EN_ERROR_IF_OVERFLOW` Enumeration constant
`static int` | `EN_EVEN` Enumeration constant
`static int` | `EN_EVEN_PAGE` Enumeration constant
`static int` | `EN_EXPANDED` Enumeration constant
`static int` | `EN_EXTRA_CONDENSED` Enumeration constant
`static int` | `EN_EXTRA_EXPANDED` Enumeration constant
`static int` | `EN_FALSE` Enumeration constant
`static int` | `EN_FIC` Enumeration constant
`static int` | `EN_FIRST` Enumeration constant
`static int` | `EN_FIRST_INCLUDING_CARRYOVER` Enumeration constant -- for fo:retrieve-table-marker
`static int` | `EN_FIRST_STARTING` Enumeration constant -- for fo:retrieve-table-marker
`static int` | `EN_FIXED` Enumeration constant
`static int` | `EN_FONT_HEIGHT` Enumeration constant
`static int` | `EN_FORCE` Enumeration constant
`static int` | `EN_FSWP` Enumeration constant
`static int` | `EN_GROOVE` Enumeration constant
`static int` | `EN_HANGING` Enumeration constant
`static int` | `EN_HIDDEN` Enumeration constant
`static int` | `EN_HIDE` Enumeration constant
`static int` | `EN_ICON` Enumeration constant -- font shorthand
`static int` | `EN_IDEOGRAPHIC` Enumeration constant
`static int` | `EN_IGNORE` Enumeration constant
`static int` | `EN_IGNORE_IF_AFTER_LINEFEED` Enumeration constant
`static int` | `EN_IGNORE_IF_BEFORE_LINEFEED` Enumeration constant
`static int` | `EN_IGNORE_IF_SURROUNDING_LINEFEED` Enumeration constant
`static int` | `EN_INDEFINITE` Enumeration constant
`static int` | `EN_INDENT` Enumeration constant
`static int` | `EN_INHERIT` Enumeration constant
`static int` | `EN_INSET` Enumeration constant
`static int` | `EN_INSIDE` Enumeration constant
`static int` | `EN_INTEGER_PIXELS` Enumeration constant
`static int` | `EN_ITALIC` Enumeration constant
`static int` | `EN_JUSTIFY` Enumeration constant
`static int` | `EN_LARGER` Enumeration constant
`static int` | `EN_LAST` Enumeration constant
`static int` | `EN_LAST_ENDING` Enumeration constant -- for fo:retrieve-table-marker
`static int` | `EN_LAST_STARTING` Enumeration constant -- for fo:retrieve-table-marker
`static int` | `EN_LEAVE_SEPARATE` Enumeration constant -- XSL 1.1
`static int` | `EN_LEFT` Enumeration constant
`static int` | `EN_LEWP` Enumeration constant
`static int` | `EN_LIGHTER` Enumeration constant
`static int` | `EN_LINE` Enumeration constant
`static int` | `EN_LINE_HEIGHT` Enumeration constant
`static int` | `EN_LINE_THROUGH` Enumeration constant
`static int` | `EN_LINK` Enumeration constant -- XSL 1.1
`static int` | `EN_LOWERCASE` Enumeration constant
`static int` | `EN_LR` Enumeration constant -- for *-direction traits
`static int` | `EN_LR_TB` Enumeration constant
`static int` | `EN_LSWP` Enumeration constant
`static int` | `EN_LTR` Enumeration constant
`static int` | `EN_MATHEMATICAL` Enumeration constant
`static int` | `EN_MAX_HEIGHT` Enumeration constant
`static int` | `EN_MENU` Enumeration constant -- font shorthand
`static int` | `EN_MERGE` Enumeration constant -- XSL 1.1
`static int` | `EN_MESSAGE_BOX` Enumeration constant -- font shorthand
`static int` | `EN_MIDDLE` Enumeration constant
`static int` | `EN_NARROWER` Enumeration constant
`static int` | `EN_NEW` Enumeration constant -- for fo:basic-link show-destination
`static int` | `EN_NO_BLINK` Enumeration constant
`static int` | `EN_NO_CHANGE` Enumeration constant
`static int` | `EN_NO_FORCE` Enumeration constant
`static int` | `EN_NO_LIMIT` Enumeration constant
`static int` | `EN_NO_LINE_THROUGH` Enumeration constant
`static int` | `EN_NO_LINK` Enumeration constant -- XSL 1.1
`static int` | `EN_NO_OVERLINE` Enumeration constant
`static int` | `EN_NO_UNDERLINE` Enumeration constant
`static int` | `EN_NO_WRAP` Enumeration constant
`static int` | `EN_NON_UNIFORM` Enumeration constant
`static int` | `EN_NONE` Enumeration constant
`static int` | `EN_NOREPEAT` Enumeration constant
`static int` | `EN_NORMAL` Enumeration constant
`static int` | `EN_NOT_BLANK` Enumeration constant
`static int` | `EN_OBLIQUE` Enumeration constant
`static int` | `EN_ODD` Enumeration constant
`static int` | `EN_ODD_PAGE` Enumeration constant
`static int` | `EN_ONLY` Enumeration constant -- for page-position, XSL 1.1
`static int` | `EN_OUTSET` Enumeration constant
`static int` | `EN_OUTSIDE` Enumeration constant
`static int` | `EN_OVERLINE` Enumeration constant
`static int` | `EN_PAGE` Enumeration constant
`static int` | `EN_PAGE_SEQUENCE` Enumeration constant
`static int` | `EN_PAGINATE` Enumeration constant
`static int` | `EN_PERCEPTUAL` Enumeration constant
`static int` | `EN_PRE` Enumeration constant -- white-space shorthand
`static int` | `EN_PRESERVE` Enumeration constant
`static int` | `EN_REFERENCE_AREA` Enumeration constant
`static int` | `EN_RELATIVE` Enumeration constant
`static int` | `EN_RELATIVE_COLOMETRIC` Enumeration constant
`static int` | `EN_REPEAT` Enumeration constant
`static int` | `EN_REPEATX` Enumeration constant
`static int` | `EN_REPEATY` Enumeration constant
`static int` | `EN_REPLACE` Enumeration constant -- for fo:basic-link show-destination
`static int` | `EN_RESAMPLE_ANY_METHOD` Enumeration constant
`static int` | `EN_RESET_SIZE` Enumeration constant
`static int` | `EN_REST` Enumeration constant
`static int` | `EN_RETAIN` Enumeration constant
`static int` | `EN_RIDGE` Enumeration constant
`static int` | `EN_RIGHT` Enumeration constant
`static int` | `EN_RL` Enumeration constant -- for *-direction traits
`static int` | `EN_RL_TB` Enumeration constant
`static int` | `EN_RTL` Enumeration constant
`static int` | `EN_RULE` Enumeration constant
`static int` | `EN_SATURATION` Enumeration constant
`static int` | `EN_SCALE_DOWN_TO_FIT` Enumeration constant -- for instream-foreign-object and external-graphic, XSL 1.1
`static int` | `EN_SCALE_TO_FIT` Enumeration constant
`static int` | `EN_SCALE_UP_TO_FIT` Enumeration constant -- for instream-foreign-object and external-graphic, XSL 1.1
`static int` | `EN_SCROLL` Enumeration constant
`static int` | `EN_SELECT_FIRST_FITTING` Enumeration constant -- for auto-toggle
`static int` | `EN_SEMI_CONDENSED` Enumeration constant
`static int` | `EN_SEMI_EXPANDED` Enumeration constant
`static int` | `EN_SEPARATE` Enumeration constant
`static int` | `EN_SHOW` Enumeration constant
`static int` | `EN_SMALL_CAPS` Enumeration constant
`static int` | `EN_SMALL_CAPTION` Enumeration constant -- font shorthand
`static int` | `EN_SMALLER` Enumeration constant
`static int` | `EN_SOLID` Enumeration constant
`static int` | `EN_SPACE` Enumeration constant
`static int` | `EN_START` Enumeration constant
`static int` | `EN_STATIC` Enumeration constant
`static int` | `EN_STATUS_BAR` Enumeration constant -- font shorthand
`static int` | `EN_SUB` Enumeration constant
`static int` | `EN_SUPER` Enumeration constant
`static int` | `EN_SUPPRESS` Enumeration constant
`static int` | `EN_TABLE` Enumeration constant -- for fo:retrieve-table-marker
`static int` | `EN_TABLE_FRAGMENT` Enumeration constant -- for fo:retrieve-table-marker
`static int` | `EN_TB` Enumeration constant -- for *-direction traits
`static int` | `EN_TB_LR` Enumeration constant
`static int` | `EN_TB_RL` Enumeration constant
`static int` | `EN_TEXT_AFTER_EDGE` Enumeration constant
`static int` | `EN_TEXT_BEFORE_EDGE` Enumeration constant
`static int` | `EN_TEXT_BOTTOM` Enumeration constant
`static int` | `EN_TEXT_TOP` Enumeration constant
`static int` | `EN_TOP` Enumeration constant
`static int` | `EN_TRADITIONAL` Enumeration constant
`static int` | `EN_TREAT_AS_SPACE` Enumeration constant
`static int` | `EN_TREAT_AS_ZERO_WIDTH_SPACE` Enumeration constant
`static int` | `EN_TRUE` Enumeration constant
`static int` | `EN_ULTRA_CONDENSED` Enumeration constant
`static int` | `EN_ULTRA_EXPANDED` Enumeration constant
`static int` | `EN_UNBOUNDED` Enumeration constant
`static int` | `EN_UNDERLINE` Enumeration constant
`static int` | `EN_UNIFORM` Enumeration constant
`static int` | `EN_UPPERCASE` Enumeration constant
`static int` | `EN_USE_FONT_METRICS` Enumeration constant
`static int` | `EN_USE_SCRIPT` Enumeration constant
`static int` | `EN_USECONTENT` Enumeration constant
`static int` | `EN_VISIBLE` Enumeration constant
`static int` | `EN_WIDER` Enumeration constant
`static int` | `EN_WRAP` Enumeration constant
`static int` | `ENUM_COUNT` Number of enumeration constants defined
`static int` | `FO_BASIC_LINK` FO element constant
`static int` | `FO_BIDI_OVERRIDE` FO element constant
`static int` | `FO_BLOCK` FO element constant
`static int` | `FO_BLOCK_CONTAINER` FO element constant
`static int` | `FO_BOOKMARK` FO element constant - XSL 1.1
`static int` | `FO_BOOKMARK_TITLE` FO element constant - XSL 1.1
`static int` | `FO_BOOKMARK_TREE` FO element constant - XSL 1.1
`static int` | `FO_CHANGE_BAR_BEGIN` FO element constant - XSL 1.1
`static int` | `FO_CHANGE_BAR_END` FO element constant - XSL 1.1
`static int` | `FO_CHARACTER` FO element constant
`static int` | `FO_COLOR_PROFILE` FO element constant
`static int` | `FO_CONDITIONAL_PAGE_MASTER_REFERENCE` FO element constant
`static int` | `FO_DECLARATIONS` FO element constant
`static int` | `FO_EXTERNAL_GRAPHIC` FO element constant
`static int` | `FO_FLOAT` FO element constant
`static int` | `FO_FLOW` FO element constant
`static int` | `FO_FLOW_ASSIGNMENT` FO element constant - XSL 1.1
`static int` | `FO_FLOW_MAP` FO element constant - XSL 1.1
`static int` | `FO_FLOW_NAME_SPECIFIER` FO element constant - XSL 1.1
`static int` | `FO_FLOW_SOURCE_LIST` FO element constant - XSL 1.1
`static int` | `FO_FLOW_TARGET_LIST` FO element constant - XSL 1.1
`static int` | `FO_FOLIO_PREFIX` FO element constant - XSL 1.1
`static int` | `FO_FOLIO_SUFFIX` FO element constant - XSL 1.1
`static int` | `FO_FOOTNOTE` FO element constant
`static int` | `FO_FOOTNOTE_BODY` FO element constant
`static int` | `FO_INDEX_KEY_REFERENCE` FO element constant - XSL 1.1
`static int` | `FO_INDEX_PAGE_CITATION_LIST` FO element constant - XSL 1.1
`static int` | `FO_INDEX_PAGE_CITATION_LIST_SEPARATOR` FO element constant - XSL 1.1
`static int` | `FO_INDEX_PAGE_CITATION_RANGE_SEPARATOR` FO element constant - XSL 1.1
`static int` | `FO_INDEX_PAGE_NUMBER_PREFIX` FO element constant - XSL 1.1
`static int` | `FO_INDEX_PAGE_NUMBER_SUFFIX` FO element constant - XSL 1.1
`static int` | `FO_INDEX_RANGE_BEGIN` FO element constant - XSL 1.1
`static int` | `FO_INDEX_RANGE_END` FO element constant - XSL 1.1
`static int` | `FO_INITIAL_PROPERTY_SET` FO element constant
`static int` | `FO_INLINE` FO element constant
`static int` | `FO_INLINE_CONTAINER` FO element constant
`static int` | `FO_INSTREAM_FOREIGN_OBJECT` FO element constant
`static int` | `FO_LAYOUT_MASTER_SET` FO element constant
`static int` | `FO_LEADER` FO element constant
`static int` | `FO_LIST_BLOCK` FO element constant
`static int` | `FO_LIST_ITEM` FO element constant
`static int` | `FO_LIST_ITEM_BODY` FO element constant
`static int` | `FO_LIST_ITEM_LABEL` FO element constant
`static int` | `FO_MARKER` FO element constant
`static int` | `FO_MULTI_CASE` FO element constant
`static int` | `FO_MULTI_PROPERTIES` FO element constant
`static int` | `FO_MULTI_PROPERTY_SET` FO element constant
`static int` | `FO_MULTI_SWITCH` FO element constant
`static int` | `FO_MULTI_TOGGLE` FO element constant
`static int` | `FO_PAGE_NUMBER` FO element constant
`static int` | `FO_PAGE_NUMBER_CITATION` FO element constant
`static int` | `FO_PAGE_NUMBER_CITATION_LAST` FO element constant - XSL 1.1
`static int` | `FO_PAGE_SEQUENCE` FO element constant
`static int` | `FO_PAGE_SEQUENCE_MASTER` FO element constant
`static int` | `FO_PAGE_SEQUENCE_WRAPPER` FO element constant - XSL 1.1
`static int` | `FO_REGION_AFTER` FO element constant
`static int` | `FO_REGION_BEFORE` FO element constant
`static int` | `FO_REGION_BODY` FO element constant
`static int` | `FO_REGION_END` FO element constant
`static int` | `FO_REGION_NAME_SPECIFIER` FO element constant - XSL 1.1
`static int` | `FO_REGION_START` FO element constant
`static int` | `FO_REPEATABLE_PAGE_MASTER_ALTERNATIVES` FO element constant
`static int` | `FO_REPEATABLE_PAGE_MASTER_REFERENCE` FO element constant
`static int` | `FO_RETRIEVE_MARKER` FO element constant
`static int` | `FO_RETRIEVE_TABLE_MARKER` FO element constant - XSL 1.1
`static int` | `FO_ROOT` FO element constant
`static int` | `FO_SCALING_VALUE_CITATION` FO element constant - XSL 1.1
`static int` | `FO_SIMPLE_PAGE_MASTER` FO element constant
`static int` | `FO_SINGLE_PAGE_MASTER_REFERENCE` FO element constant
`static int` | `FO_STATIC_CONTENT` FO element constant
`static int` | `FO_TABLE` FO element constant
`static int` | `FO_TABLE_AND_CAPTION` FO element constant
`static int` | `FO_TABLE_BODY` FO element constant
`static int` | `FO_TABLE_CAPTION` FO element constant
`static int` | `FO_TABLE_CELL` FO element constant
`static int` | `FO_TABLE_COLUMN` FO element constant
`static int` | `FO_TABLE_FOOTER` FO element constant
`static int` | `FO_TABLE_HEADER` FO element constant
`static int` | `FO_TABLE_ROW` FO element constant
`static int` | `FO_TITLE` FO element constant
`static int` | `FO_UNKNOWN_NODE` FObj base class
`static int` | `FO_WRAPPER` FO element constant
`static int` | `FRM_OBJ_COUNT` Number of FO element constants defined
`static int` | `NOT_SET` not set
`static int` | `PR_ABSOLUTE_POSITION` Property constant
`static int` | `PR_ACTIVE_STATE` Property constant
`static int` | `PR_ALIGNMENT_ADJUST` Property constant
`static int` | `PR_ALIGNMENT_BASELINE` Property constant
`static int` | `PR_AUTO_RESTORE` Property constant
`static int` | `PR_AZIMUTH` Property constant
`static int` | `PR_BACKGROUND` Property constant
`static int` | `PR_BACKGROUND_ATTACHMENT` Property constant
`static int` | `PR_BACKGROUND_COLOR` Property constant
`static int` | `PR_BACKGROUND_IMAGE` Property constant
`static int` | `PR_BACKGROUND_POSITION` Property constant
`static int` | `PR_BACKGROUND_POSITION_HORIZONTAL` Property constant
`static int` | `PR_BACKGROUND_POSITION_VERTICAL` Property constant
`static int` | `PR_BACKGROUND_REPEAT` Property constant
`static int` | `PR_BASELINE_SHIFT` Property constant
`static int` | `PR_BLANK_OR_NOT_BLANK` Property constant
`static int` | `PR_BLOCK_PROGRESSION_DIMENSION` Property constant
`static int` | `PR_BORDER` Property constant
`static int` | `PR_BORDER_AFTER_COLOR` Property constant
`static int` | `PR_BORDER_AFTER_PRECEDENCE` Property constant
`static int` | `PR_BORDER_AFTER_STYLE` Property constant
`static int` | `PR_BORDER_AFTER_WIDTH` Property constant
`static int` | `PR_BORDER_BEFORE_COLOR` Property constant
`static int` | `PR_BORDER_BEFORE_PRECEDENCE` Property constant
`static int` | `PR_BORDER_BEFORE_STYLE` Property constant
`static int` | `PR_BORDER_BEFORE_WIDTH` Property constant
`static int` | `PR_BORDER_BOTTOM` Property constant
`static int` | `PR_BORDER_BOTTOM_COLOR` Property constant
`static int` | `PR_BORDER_BOTTOM_STYLE` Property constant
`static int` | `PR_BORDER_BOTTOM_WIDTH` Property constant
`static int` | `PR_BORDER_COLLAPSE` Property constant
`static int` | `PR_BORDER_COLOR` Property constant
`static int` | `PR_BORDER_END_COLOR` Property constant
`static int` | `PR_BORDER_END_PRECEDENCE` Property constant
`static int` | `PR_BORDER_END_STYLE` Property constant
`static int` | `PR_BORDER_END_WIDTH` Property constant
`static int` | `PR_BORDER_LEFT` Property constant
`static int` | `PR_BORDER_LEFT_COLOR` Property constant
`static int` | `PR_BORDER_LEFT_STYLE` Property constant
`static int` | `PR_BORDER_LEFT_WIDTH` Property constant
`static int` | `PR_BORDER_RIGHT` Property constant
`static int` | `PR_BORDER_RIGHT_COLOR` Property constant
`static int` | `PR_BORDER_RIGHT_STYLE` Property constant
`static int` | `PR_BORDER_RIGHT_WIDTH` Property constant
`static int` | `PR_BORDER_SEPARATION` Property constant
`static int` | `PR_BORDER_SPACING` Property constant
`static int` | `PR_BORDER_START_COLOR` Property constant
`static int` | `PR_BORDER_START_PRECEDENCE` Property constant
`static int` | `PR_BORDER_START_STYLE` Property constant
`static int` | `PR_BORDER_START_WIDTH` Property constant
`static int` | `PR_BORDER_STYLE` Property constant
`static int` | `PR_BORDER_TOP` Property constant
`static int` | `PR_BORDER_TOP_COLOR` Property constant
`static int` | `PR_BORDER_TOP_STYLE` Property constant
`static int` | `PR_BORDER_TOP_WIDTH` Property constant
`static int` | `PR_BORDER_WIDTH` Property constant
`static int` | `PR_BOTTOM` Property constant
`static int` | `PR_BREAK_AFTER` Property constant
`static int` | `PR_BREAK_BEFORE` Property constant
`static int` | `PR_CAPTION_SIDE` Property constant
`static int` | `PR_CASE_NAME` Property constant
`static int` | `PR_CASE_TITLE` Property constant
`static int` | `PR_CHANGE_BAR_CLASS` Property constant - XSL 1.1
`static int` | `PR_CHANGE_BAR_COLOR` Property constant - XSL 1.1
`static int` | `PR_CHANGE_BAR_OFFSET` Property constant - XSL 1.1
`static int` | `PR_CHANGE_BAR_PLACEMENT` Property constant - XSL 1.1
`static int` | `PR_CHANGE_BAR_STYLE` Property constant - XSL 1.1
`static int` | `PR_CHANGE_BAR_WIDTH` Property constant - XSL 1.1
`static int` | `PR_CHARACTER` Property constant
`static int` | `PR_CLEAR` Property constant
`static int` | `PR_CLIP` Property constant
`static int` | `PR_COLOR` Property constant
`static int` | `PR_COLOR_PROFILE_NAME` Property constant
`static int` | `PR_COLUMN_COUNT` Property constant
`static int` | `PR_COLUMN_GAP` Property constant
`static int` | `PR_COLUMN_NUMBER` Property constant
`static int` | `PR_COLUMN_WIDTH` Property constant
`static int` | `PR_CONTENT_HEIGHT` Property constant
`static int` | `PR_CONTENT_TYPE` Property constant
`static int` | `PR_CONTENT_WIDTH` Property constant
`static int` | `PR_COUNTRY` Property constant
`static int` | `PR_CUE` Property constant
`static int` | `PR_CUE_AFTER` Property constant
`static int` | `PR_CUE_BEFORE` Property constant
`static int` | `PR_DESTINATION_PLACEMENT_OFFSET` Property constant
`static int` | `PR_DIRECTION` Property constant
`static int` | `PR_DISPLAY_ALIGN` Property constant
`static int` | `PR_DOMINANT_BASELINE` Property constant
`static int` | `PR_ELEVATION` Property constant
`static int` | `PR_EMPTY_CELLS` Property constant
`static int` | `PR_END_INDENT` Property constant
`static int` | `PR_ENDS_ROW` Property constant
`static int` | `PR_EXTENT` Property constant
`static int` | `PR_EXTERNAL_DESTINATION` Property constant
`static int` | `PR_FLOAT` Property constant
`static int` | `PR_FLOW_MAP_NAME` Property constant -- XSL 1.1
`static int` | `PR_FLOW_MAP_REFERENCE` Property constant -- XSL 1.1
`static int` | `PR_FLOW_NAME` Property constant
`static int` | `PR_FLOW_NAME_REFERENCE` Property constant -- XSL 1.1
`static int` | `PR_FONT` Property constant
`static int` | `PR_FONT_FAMILY` Property constant
`static int` | `PR_FONT_SELECTION_STRATEGY` Property constant
`static int` | `PR_FONT_SIZE` Property constant
`static int` | `PR_FONT_SIZE_ADJUST` Property constant
`static int` | `PR_FONT_STRETCH` Property constant
`static int` | `PR_FONT_STYLE` Property constant
`static int` | `PR_FONT_VARIANT` Property constant
`static int` | `PR_FONT_WEIGHT` Property constant
`static int` | `PR_FORCE_PAGE_COUNT` Property constant
`static int` | `PR_FORMAT` Property constant
`static int` | `PR_GLYPH_ORIENTATION_HORIZONTAL` Property constant
`static int` | `PR_GLYPH_ORIENTATION_VERTICAL` Property constant
`static int` | `PR_GROUPING_SEPARATOR` Property constant
`static int` | `PR_GROUPING_SIZE` Property constant
`static int` | `PR_HEIGHT` Property constant
`static int` | `PR_HYPHENATE` Property constant
`static int` | `PR_HYPHENATION_CHARACTER` Property constant
`static int` | `PR_HYPHENATION_KEEP` Property constant
`static int` | `PR_HYPHENATION_LADDER_COUNT` Property constant
`static int` | `PR_HYPHENATION_PUSH_CHARACTER_COUNT` Property constant
`static int` | `PR_HYPHENATION_REMAIN_CHARACTER_COUNT` Property constant
`static int` | `PR_ID` Property constant
`static int` | `PR_INDEX_CLASS` Property constant - XSL 1.1
`static int` | `PR_INDEX_KEY` Property constant - XSL 1.1
`static int` | `PR_INDICATE_DESTINATION` Property constant
`static int` | `PR_INITIAL_PAGE_NUMBER` Property constant
`static int` | `PR_INLINE_PROGRESSION_DIMENSION` Property constant
`static int` | `PR_INTERNAL_DESTINATION` Property constant
`static int` | `PR_INTRINSIC_SCALE_VALUE` Property constant - XSL 1.1
`static int` | `PR_INTRUSION_DISPLACE` Property constant
`static int` | `PR_KEEP_TOGETHER` Property constant
`static int` | `PR_KEEP_WITH_NEXT` Property constant
`static int` | `PR_KEEP_WITH_PREVIOUS` Property constant
`static int` | `PR_LANGUAGE` Property constant
`static int` | `PR_LAST_LINE_END_INDENT` Property constant
`static int` | `PR_LEADER_ALIGNMENT` Property constant
`static int` | `PR_LEADER_LENGTH` Property constant
`static int` | `PR_LEADER_PATTERN` Property constant
`static int` | `PR_LEADER_PATTERN_WIDTH` Property constant
`static int` | `PR_LEFT` Property constant
`static int` | `PR_LETTER_SPACING` Property constant
`static int` | `PR_LETTER_VALUE` Property constant
`static int` | `PR_LINE_HEIGHT` Property constant
`static int` | `PR_LINE_HEIGHT_SHIFT_ADJUSTMENT` Property constant
`static int` | `PR_LINE_STACKING_STRATEGY` Property constant
`static int` | `PR_LINEFEED_TREATMENT` Property constant
`static int` | `PR_MARGIN` Property constant
`static int` | `PR_MARGIN_BOTTOM` Property constant
`static int` | `PR_MARGIN_LEFT` Property constant
`static int` | `PR_MARGIN_RIGHT` Property constant
`static int` | `PR_MARGIN_TOP` Property constant
`static int` | `PR_MARKER_CLASS_NAME` Property constant
`static int` | `PR_MASTER_NAME` Property constant
`static int` | `PR_MASTER_REFERENCE` Property constant
`static int` | `PR_MAX_HEIGHT` Property constant
`static int` | `PR_MAX_WIDTH` Property constant
`static int` | `PR_MAXIMUM_REPEATS` Property constant
`static int` | `PR_MEDIA_USAGE` Property constant
`static int` | `PR_MERGE_PAGES_ACROSS_INDEX_KEY_REFERENCES` Property constant - XSL 1.1
`static int` | `PR_MERGE_RANGES_ACROSS_INDEX_KEY_REFERENCES` Property constant - XSL 1.1
`static int` | `PR_MERGE_SEQUENTIAL_PAGE_NUMBERS` Property constant - XSL 1.1
`static int` | `PR_MIN_HEIGHT` Property constant
`static int` | `PR_MIN_WIDTH` Property constant
`static int` | `PR_NUMBER_COLUMNS_REPEATED` Property constant
`static int` | `PR_NUMBER_COLUMNS_SPANNED` Property constant
`static int` | `PR_NUMBER_ROWS_SPANNED` Property constant
`static int` | `PR_ODD_OR_EVEN` Property constant
`static int` | `PR_ORPHANS` Property constant
`static int` | `PR_OVERFLOW` Property constant
`static int` | `PR_PADDING` Property constant
`static int` | `PR_PADDING_AFTER` Property constant
`static int` | `PR_PADDING_BEFORE` Property constant
`static int` | `PR_PADDING_BOTTOM` Property constant
`static int` | `PR_PADDING_END` Property constant
`static int` | `PR_PADDING_LEFT` Property constant
`static int` | `PR_PADDING_RIGHT` Property constant
`static int` | `PR_PADDING_START` Property constant
`static int` | `PR_PADDING_TOP` Property constant
`static int` | `PR_PAGE_BREAK_AFTER` Property constant
`static int` | `PR_PAGE_BREAK_BEFORE` Property constant
`static int` | `PR_PAGE_BREAK_INSIDE` Property constant
`static int` | `PR_PAGE_CITATION_STRATEGY` Property constant - XSL 1.1
`static int` | `PR_PAGE_HEIGHT` Property constant
`static int` | `PR_PAGE_NUMBER_TREATMENT` Property constant - XSL 1.1
`static int` | `PR_PAGE_POSITION` Property constant
`static int` | `PR_PAGE_WIDTH` Property constant
`static int` | `PR_PAUSE` Property constant
`static int` | `PR_PAUSE_AFTER` Property constant
`static int` | `PR_PAUSE_BEFORE` Property constant
`static int` | `PR_PITCH` Property constant
`static int` | `PR_PITCH_RANGE` Property constant
`static int` | `PR_PLAY_DURING` Property constant
`static int` | `PR_POSITION` Property constant
`static int` | `PR_PRECEDENCE` Property constant
`static int` | `PR_PROVISIONAL_DISTANCE_BETWEEN_STARTS` Property constant
`static int` | `PR_PROVISIONAL_LABEL_SEPARATION` Property constant
`static int` | `PR_REF_ID` Property constant
`static int` | `PR_REF_INDEX_KEY` Property constant - XSL 1.1
`static int` | `PR_REFERENCE_ORIENTATION` Property constant
`static int` | `PR_REGION_NAME` Property constant
`static int` | `PR_REGION_NAME_REFERENCE` Property constant - XSL 1.1
`static int` | `PR_RELATIVE_ALIGN` Property constant
`static int` | `PR_RELATIVE_POSITION` Property constant
`static int` | `PR_RENDERING_INTENT` Property constant
`static int` | `PR_RETRIEVE_BOUNDARY` Property constant
`static int` | `PR_RETRIEVE_BOUNDARY_WITHIN_TABLE` Property constant - XSL 1.1
`static int` | `PR_RETRIEVE_CLASS_NAME` Property constant
`static int` | `PR_RETRIEVE_POSITION` Property constant
`static int` | `PR_RETRIEVE_POSITION_WITHIN_TABLE` Property constant - XSL 1.1
`static int` | `PR_RICHNESS` Property constant
`static int` | `PR_RIGHT` Property constant
`static int` | `PR_ROLE` Property constant
`static int` | `PR_RULE_STYLE` Property constant
`static int` | `PR_RULE_THICKNESS` Property constant
`static int` | `PR_SCALING` Property constant
`static int` | `PR_SCALING_METHOD` Property constant
`static int` | `PR_SCORE_SPACES` Property constant
`static int` | `PR_SCRIPT` Property constant
`static int` | `PR_SHOW_DESTINATION` Property constant
`static int` | `PR_SIZE` Property constant
`static int` | `PR_SOURCE_DOCUMENT` Property constant
`static int` | `PR_SPACE_AFTER` Property constant
`static int` | `PR_SPACE_BEFORE` Property constant
`static int` | `PR_SPACE_END` Property constant
`static int` | `PR_SPACE_START` Property constant
`static int` | `PR_SPAN` Property constant
`static int` | `PR_SPEAK` Property constant
`static int` | `PR_SPEAK_HEADER` Property constant
`static int` | `PR_SPEAK_NUMERAL` Property constant
`static int` | `PR_SPEAK_PUNCTUATION` Property constant
`static int` | `PR_SPEECH_RATE` Property constant
`static int` | `PR_SRC` Property constant
`static int` | `PR_START_INDENT` Property constant
`static int` | `PR_STARTING_STATE` Property constant
`static int` | `PR_STARTS_ROW` Property constant
`static int` | `PR_STRESS` Property constant
`static int` | `PR_SUPPRESS_AT_LINE_BREAK` Property constant
`static int` | `PR_SWITCH_TO` Property constant
`static int` | `PR_TABLE_LAYOUT` Property constant
`static int` | `PR_TABLE_OMIT_FOOTER_AT_BREAK` Property constant
`static int` | `PR_TABLE_OMIT_HEADER_AT_BREAK` Property constant
`static int` | `PR_TARGET_PRESENTATION_CONTEXT` Property constant
`static int` | `PR_TARGET_PROCESSING_CONTEXT` Property constant
`static int` | `PR_TARGET_STYLESHEET` Property constant
`static int` | `PR_TEXT_ALIGN` Property constant
`static int` | `PR_TEXT_ALIGN_LAST` Property constant
`static int` | `PR_TEXT_ALTITUDE` Property constant
`static int` | `PR_TEXT_DECORATION` Property constant
`static int` | `PR_TEXT_DEPTH` Property constant
`static int` | `PR_TEXT_INDENT` Property constant
`static int` | `PR_TEXT_SHADOW` Property constant
`static int` | `PR_TEXT_TRANSFORM` Property constant
`static int` | `PR_TOP` Property constant
`static int` | `PR_TREAT_AS_WORD_SPACE` Property constant
`static int` | `PR_UNICODE_BIDI` Property constant
`static int` | `PR_VERTICAL_ALIGN` Property constant
`static int` | `PR_VISIBILITY` Property constant
`static int` | `PR_VOICE_FAMILY` Property constant
`static int` | `PR_VOLUME` Property constant
`static int` | `PR_WHITE_SPACE` Property constant
`static int` | `PR_WHITE_SPACE_COLLAPSE` Property constant
`static int` | `PR_WHITE_SPACE_TREATMENT` Property constant
`static int` | `PR_WIDOWS` Property constant
`static int` | `PR_WIDTH` Property constant
`static int` | `PR_WORD_SPACING` Property constant
`static int` | `PR_WRAP_OPTION` Property constant
`static int` | `PR_WRITING_MODE` Property constant
`static int` | `PR_X_ABBREVIATION` For specifying extended text for abbreviation
`static int` | `PR_X_ALT_TEXT` Property constant - FOP proprietary: alternative text for e-g and i-f-o.
`static int` | `PR_X_AUTO_TOGGLE` Property constant
`static int` | `PR_X_BACKGROUND_IMAGE_HEIGHT`
`static int` | `PR_X_BACKGROUND_IMAGE_WIDTH` Used for scaling of background images
`static int` | `PR_X_BORDER_AFTER_END_RADIUS` Property constant FOP proprietary
`static int` | `PR_X_BORDER_AFTER_RADIUS_END` Property constant FOP proprietary
`static int` | `PR_X_BORDER_AFTER_RADIUS_START` Property constant FOP proprietary
`static int` | `PR_X_BORDER_AFTER_START_RADIUS` Property constant FOP proprietary
`static int` | `PR_X_BORDER_BEFORE_END_RADIUS` Property constant FOP proprietary
`static int` | `PR_X_BORDER_BEFORE_RADIUS_END` Property constant FOP proprietary
`static int` | `PR_X_BORDER_BEFORE_RADIUS_START` Property constant FOP proprietary
`static int` | `PR_X_BORDER_BEFORE_START_RADIUS` Property constant FOP proprietary
`static int` | `PR_X_BORDER_END_RADIUS_AFTER` Property constant FOP proprietary
`static int` | `PR_X_BORDER_END_RADIUS_BEFORE` Property constant FOP proprietary
`static int` | `PR_X_BORDER_RADIUS` Property constant FOP proprietary
`static int` | `PR_X_BORDER_START_RADIUS_AFTER` Property constant FOP proprietary
`static int` | `PR_X_BORDER_START_RADIUS_BEFORE` Property constant FOP proprietary
`static int` | `PR_X_DISABLE_COLUMN_BALANCING` Property constant - FOP proprietary: disable balancing of columns in multi-column layouts.
`static int` | `PR_X_HEADER_COLUMN` Scope for table header
`static int` | `PR_X_LAYER` For specifying PDF optional content group (layer) binding.
`static int` | `PR_X_NUMBER_CONVERSION_FEATURES` Property constant - FOP proprietary extension (see NumberConverter) used to perform additional control over number conversion when generating page numbers.
`static int` | `PR_X_ORPHAN_CONTENT_LIMIT` Property constant - FOP proprietary: limit for orphan content in lists and tables
`static int` | `PR_X_WIDOW_CONTENT_LIMIT` Property constant - FOP proprietary: limit for widow content in lists and tables
`static int` | `PR_X_XML_BASE` Property constant - FOP proprietary prototype (in XSL-FO 2.0 Requirements)
`static int` | `PR_XML_LANG` Property constant
`static int` | `PR_Z_INDEX` Property constant
`static int` | `PROPERTY_COUNT` Number of property constants defined
`static int` | `PROPERTY_MASK` Mask that when applied to a compound property returns the constant of the component property.

Field Detail

### NOT_SET

    static final int NOT_SET

  not set

  See Also:
    Constant Field Values

### FO_UNKNOWN_NODE

    static final int FO_UNKNOWN_NODE

  FObj base class

  See Also:
    Constant Field Values

### FO_BASIC_LINK

    static final int FO_BASIC_LINK

  FO element constant

  See Also:
    Constant Field Values

### FO_BIDI_OVERRIDE

    static final int FO_BIDI_OVERRIDE

  FO element constant

  See Also:
    Constant Field Values

### FO_BLOCK

    static final int FO_BLOCK

  FO element constant

  See Also:
    Constant Field Values

### FO_BLOCK_CONTAINER

    static final int FO_BLOCK_CONTAINER

  FO element constant

  See Also:
    Constant Field Values

### FO_BOOKMARK_TREE

    static final int FO_BOOKMARK_TREE

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_BOOKMARK

    static final int FO_BOOKMARK

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_BOOKMARK_TITLE

    static final int FO_BOOKMARK_TITLE

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_CHANGE_BAR_BEGIN

    static final int FO_CHANGE_BAR_BEGIN

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_CHANGE_BAR_END

    static final int FO_CHANGE_BAR_END

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_CHARACTER

    static final int FO_CHARACTER

  FO element constant

  See Also:
    Constant Field Values

### FO_COLOR_PROFILE

    static final int FO_COLOR_PROFILE

  FO element constant

  See Also:
    Constant Field Values

### FO_CONDITIONAL_PAGE_MASTER_REFERENCE

    static final int FO_CONDITIONAL_PAGE_MASTER_REFERENCE

  FO element constant

  See Also:
    Constant Field Values

### FO_DECLARATIONS

    static final int FO_DECLARATIONS

  FO element constant

  See Also:
    Constant Field Values

### FO_EXTERNAL_GRAPHIC

    static final int FO_EXTERNAL_GRAPHIC

  FO element constant

  See Also:
    Constant Field Values

### FO_FLOAT

    static final int FO_FLOAT

  FO element constant

  See Also:
    Constant Field Values

### FO_FLOW

    static final int FO_FLOW

  FO element constant

  See Also:
    Constant Field Values

### FO_FLOW_ASSIGNMENT

    static final int FO_FLOW_ASSIGNMENT

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_FLOW_MAP

    static final int FO_FLOW_MAP

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_FLOW_NAME_SPECIFIER

    static final int FO_FLOW_NAME_SPECIFIER

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_FLOW_SOURCE_LIST

    static final int FO_FLOW_SOURCE_LIST

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_FLOW_TARGET_LIST

    static final int FO_FLOW_TARGET_LIST

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_FOLIO_PREFIX

    static final int FO_FOLIO_PREFIX

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_FOLIO_SUFFIX

    static final int FO_FOLIO_SUFFIX

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_FOOTNOTE

    static final int FO_FOOTNOTE

  FO element constant

  See Also:
    Constant Field Values

### FO_FOOTNOTE_BODY

    static final int FO_FOOTNOTE_BODY

  FO element constant

  See Also:
    Constant Field Values

### FO_INDEX_KEY_REFERENCE

    static final int FO_INDEX_KEY_REFERENCE

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INDEX_PAGE_NUMBER_PREFIX

    static final int FO_INDEX_PAGE_NUMBER_PREFIX

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INDEX_PAGE_NUMBER_SUFFIX

    static final int FO_INDEX_PAGE_NUMBER_SUFFIX

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INDEX_PAGE_CITATION_LIST

    static final int FO_INDEX_PAGE_CITATION_LIST

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INDEX_PAGE_CITATION_LIST_SEPARATOR

    static final int FO_INDEX_PAGE_CITATION_LIST_SEPARATOR

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INDEX_PAGE_CITATION_RANGE_SEPARATOR

    static final int FO_INDEX_PAGE_CITATION_RANGE_SEPARATOR

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INDEX_RANGE_BEGIN

    static final int FO_INDEX_RANGE_BEGIN

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INDEX_RANGE_END

    static final int FO_INDEX_RANGE_END

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_INITIAL_PROPERTY_SET

    static final int FO_INITIAL_PROPERTY_SET

  FO element constant

  See Also:
    Constant Field Values

### FO_INLINE

    static final int FO_INLINE

  FO element constant

  See Also:
    Constant Field Values

### FO_INLINE_CONTAINER

    static final int FO_INLINE_CONTAINER

  FO element constant

  See Also:
    Constant Field Values

### FO_INSTREAM_FOREIGN_OBJECT

    static final int FO_INSTREAM_FOREIGN_OBJECT

  FO element constant

  See Also:
    Constant Field Values

### FO_LAYOUT_MASTER_SET

    static final int FO_LAYOUT_MASTER_SET

  FO element constant

  See Also:
    Constant Field Values

### FO_LEADER

    static final int FO_LEADER

  FO element constant

  See Also:
    Constant Field Values

### FO_LIST_BLOCK

    static final int FO_LIST_BLOCK

  FO element constant

  See Also:
    Constant Field Values

### FO_LIST_ITEM

    static final int FO_LIST_ITEM

  FO element constant

  See Also:
    Constant Field Values

### FO_LIST_ITEM_BODY

    static final int FO_LIST_ITEM_BODY

  FO element constant

  See Also:
    Constant Field Values

### FO_LIST_ITEM_LABEL

    static final int FO_LIST_ITEM_LABEL

  FO element constant

  See Also:
    Constant Field Values

### FO_MARKER

    static final int FO_MARKER

  FO element constant

  See Also:
    Constant Field Values

### FO_MULTI_CASE

    static final int FO_MULTI_CASE

  FO element constant

  See Also:
    Constant Field Values

### FO_MULTI_PROPERTIES

    static final int FO_MULTI_PROPERTIES

  FO element constant

  See Also:
    Constant Field Values

### FO_MULTI_PROPERTY_SET

    static final int FO_MULTI_PROPERTY_SET

  FO element constant

  See Also:
    Constant Field Values

### FO_MULTI_SWITCH

    static final int FO_MULTI_SWITCH

  FO element constant

  See Also:
    Constant Field Values

### FO_MULTI_TOGGLE

    static final int FO_MULTI_TOGGLE

  FO element constant

  See Also:
    Constant Field Values

### FO_PAGE_NUMBER

    static final int FO_PAGE_NUMBER

  FO element constant

  See Also:
    Constant Field Values

### FO_PAGE_NUMBER_CITATION

    static final int FO_PAGE_NUMBER_CITATION

  FO element constant

  See Also:
    Constant Field Values

### FO_PAGE_NUMBER_CITATION_LAST

    static final int FO_PAGE_NUMBER_CITATION_LAST

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_PAGE_SEQUENCE

    static final int FO_PAGE_SEQUENCE

  FO element constant

  See Also:
    Constant Field Values

### FO_PAGE_SEQUENCE_MASTER

    static final int FO_PAGE_SEQUENCE_MASTER

  FO element constant

  See Also:
    Constant Field Values

### FO_PAGE_SEQUENCE_WRAPPER

    static final int FO_PAGE_SEQUENCE_WRAPPER

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_REGION_AFTER

    static final int FO_REGION_AFTER

  FO element constant

  See Also:
    Constant Field Values

### FO_REGION_BEFORE

    static final int FO_REGION_BEFORE

  FO element constant

  See Also:
    Constant Field Values

### FO_REGION_BODY

    static final int FO_REGION_BODY

  FO element constant

  See Also:
    Constant Field Values

### FO_REGION_END

    static final int FO_REGION_END

  FO element constant

  See Also:
    Constant Field Values

### FO_REGION_NAME_SPECIFIER

    static final int FO_REGION_NAME_SPECIFIER

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_REGION_START

    static final int FO_REGION_START

  FO element constant

  See Also:
    Constant Field Values

### FO_REPEATABLE_PAGE_MASTER_ALTERNATIVES

    static final int FO_REPEATABLE_PAGE_MASTER_ALTERNATIVES

  FO element constant

  See Also:
    Constant Field Values

### FO_REPEATABLE_PAGE_MASTER_REFERENCE

    static final int FO_REPEATABLE_PAGE_MASTER_REFERENCE

  FO element constant

  See Also:
    Constant Field Values

### FO_RETRIEVE_MARKER

    static final int FO_RETRIEVE_MARKER

  FO element constant

  See Also:
    Constant Field Values

### FO_RETRIEVE_TABLE_MARKER

    static final int FO_RETRIEVE_TABLE_MARKER

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_ROOT

    static final int FO_ROOT

  FO element constant

  See Also:
    Constant Field Values

### FO_SCALING_VALUE_CITATION

    static final int FO_SCALING_VALUE_CITATION

  FO element constant - XSL 1.1

  See Also:
    Constant Field Values

### FO_SIMPLE_PAGE_MASTER

    static final int FO_SIMPLE_PAGE_MASTER

  FO element constant

  See Also:
    Constant Field Values

### FO_SINGLE_PAGE_MASTER_REFERENCE

    static final int FO_SINGLE_PAGE_MASTER_REFERENCE

  FO element constant

  See Also:
    Constant Field Values

### FO_STATIC_CONTENT

    static final int FO_STATIC_CONTENT

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE

    static final int FO_TABLE

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_AND_CAPTION

    static final int FO_TABLE_AND_CAPTION

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_BODY

    static final int FO_TABLE_BODY

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_CAPTION

    static final int FO_TABLE_CAPTION

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_CELL

    static final int FO_TABLE_CELL

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_COLUMN

    static final int FO_TABLE_COLUMN

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_FOOTER

    static final int FO_TABLE_FOOTER

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_HEADER

    static final int FO_TABLE_HEADER

  FO element constant

  See Also:
    Constant Field Values

### FO_TABLE_ROW

    static final int FO_TABLE_ROW

  FO element constant

  See Also:
    Constant Field Values

### FO_TITLE

    static final int FO_TITLE

  FO element constant

  See Also:
    Constant Field Values

### FO_WRAPPER

    static final int FO_WRAPPER

  FO element constant

  See Also:
    Constant Field Values

### FRM_OBJ_COUNT

    static final int FRM_OBJ_COUNT

  Number of FO element constants defined

  See Also:
    Constant Field Values

### COMPOUND_SHIFT

    static final int COMPOUND_SHIFT

  For compound properties the property constant value is shifted by this amount. The low order bits hold the constant for the component property.

  See Also:
    Constant Field Values

### PROPERTY_MASK

    static final int PROPERTY_MASK

  Mask that when applied to a compound property returns the constant of the component property.

  See Also:
    Constant Field Values

### COMPOUND_MASK

    static final int COMPOUND_MASK

  Mask that when applied to a compound property returns the constant of the compound property.

  See Also:
    Constant Field Values

### COMPOUND_COUNT

    static final int COMPOUND_COUNT

  Number of compund properties defined

  See Also:
    Constant Field Values

### PR_ABSOLUTE_POSITION

    static final int PR_ABSOLUTE_POSITION

  Property constant

  See Also:
    Constant Field Values

### PR_ACTIVE_STATE

    static final int PR_ACTIVE_STATE

  Property constant

  See Also:
    Constant Field Values

### PR_ALIGNMENT_ADJUST

    static final int PR_ALIGNMENT_ADJUST

  Property constant

  See Also:
    Constant Field Values

### PR_ALIGNMENT_BASELINE

    static final int PR_ALIGNMENT_BASELINE

  Property constant

  See Also:
    Constant Field Values

### PR_AUTO_RESTORE

    static final int PR_AUTO_RESTORE

  Property constant

  See Also:
    Constant Field Values

### PR_AZIMUTH

    static final int PR_AZIMUTH

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND

    static final int PR_BACKGROUND

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND_ATTACHMENT

    static final int PR_BACKGROUND_ATTACHMENT

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND_COLOR

    static final int PR_BACKGROUND_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND_IMAGE

    static final int PR_BACKGROUND_IMAGE

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND_POSITION

    static final int PR_BACKGROUND_POSITION

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND_POSITION_HORIZONTAL

    static final int PR_BACKGROUND_POSITION_HORIZONTAL

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND_POSITION_VERTICAL

    static final int PR_BACKGROUND_POSITION_VERTICAL

  Property constant

  See Also:
    Constant Field Values

### PR_BACKGROUND_REPEAT

    static final int PR_BACKGROUND_REPEAT

  Property constant

  See Also:
    Constant Field Values

### PR_BASELINE_SHIFT

    static final int PR_BASELINE_SHIFT

  Property constant

  See Also:
    Constant Field Values

### PR_BLANK_OR_NOT_BLANK

    static final int PR_BLANK_OR_NOT_BLANK

  Property constant

  See Also:
    Constant Field Values

### PR_BLOCK_PROGRESSION_DIMENSION

    static final int PR_BLOCK_PROGRESSION_DIMENSION

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER

    static final int PR_BORDER

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_AFTER_COLOR

    static final int PR_BORDER_AFTER_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_AFTER_PRECEDENCE

    static final int PR_BORDER_AFTER_PRECEDENCE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_AFTER_STYLE

    static final int PR_BORDER_AFTER_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_AFTER_WIDTH

    static final int PR_BORDER_AFTER_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BEFORE_COLOR

    static final int PR_BORDER_BEFORE_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BEFORE_PRECEDENCE

    static final int PR_BORDER_BEFORE_PRECEDENCE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BEFORE_STYLE

    static final int PR_BORDER_BEFORE_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BEFORE_WIDTH

    static final int PR_BORDER_BEFORE_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BOTTOM

    static final int PR_BORDER_BOTTOM

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BOTTOM_COLOR

    static final int PR_BORDER_BOTTOM_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BOTTOM_STYLE

    static final int PR_BORDER_BOTTOM_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_BOTTOM_WIDTH

    static final int PR_BORDER_BOTTOM_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_COLLAPSE

    static final int PR_BORDER_COLLAPSE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_COLOR

    static final int PR_BORDER_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_END_COLOR

    static final int PR_BORDER_END_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_END_PRECEDENCE

    static final int PR_BORDER_END_PRECEDENCE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_END_STYLE

    static final int PR_BORDER_END_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_END_WIDTH

    static final int PR_BORDER_END_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_LEFT

    static final int PR_BORDER_LEFT

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_LEFT_COLOR

    static final int PR_BORDER_LEFT_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_LEFT_STYLE

    static final int PR_BORDER_LEFT_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_LEFT_WIDTH

    static final int PR_BORDER_LEFT_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_RIGHT

    static final int PR_BORDER_RIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_RIGHT_COLOR

    static final int PR_BORDER_RIGHT_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_RIGHT_STYLE

    static final int PR_BORDER_RIGHT_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_RIGHT_WIDTH

    static final int PR_BORDER_RIGHT_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_SEPARATION

    static final int PR_BORDER_SEPARATION

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_SPACING

    static final int PR_BORDER_SPACING

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_START_COLOR

    static final int PR_BORDER_START_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_START_PRECEDENCE

    static final int PR_BORDER_START_PRECEDENCE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_START_STYLE

    static final int PR_BORDER_START_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_START_WIDTH

    static final int PR_BORDER_START_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_STYLE

    static final int PR_BORDER_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_TOP

    static final int PR_BORDER_TOP

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_TOP_COLOR

    static final int PR_BORDER_TOP_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_TOP_STYLE

    static final int PR_BORDER_TOP_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_TOP_WIDTH

    static final int PR_BORDER_TOP_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BORDER_WIDTH

    static final int PR_BORDER_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_BOTTOM

    static final int PR_BOTTOM

  Property constant

  See Also:
    Constant Field Values

### PR_BREAK_AFTER

    static final int PR_BREAK_AFTER

  Property constant

  See Also:
    Constant Field Values

### PR_BREAK_BEFORE

    static final int PR_BREAK_BEFORE

  Property constant

  See Also:
    Constant Field Values

### PR_CAPTION_SIDE

    static final int PR_CAPTION_SIDE

  Property constant

  See Also:
    Constant Field Values

### PR_CASE_NAME

    static final int PR_CASE_NAME

  Property constant

  See Also:
    Constant Field Values

### PR_CASE_TITLE

    static final int PR_CASE_TITLE

  Property constant

  See Also:
    Constant Field Values

### PR_CHANGE_BAR_CLASS

    static final int PR_CHANGE_BAR_CLASS

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_CHANGE_BAR_COLOR

    static final int PR_CHANGE_BAR_COLOR

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_CHANGE_BAR_OFFSET

    static final int PR_CHANGE_BAR_OFFSET

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_CHANGE_BAR_PLACEMENT

    static final int PR_CHANGE_BAR_PLACEMENT

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_CHANGE_BAR_STYLE

    static final int PR_CHANGE_BAR_STYLE

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_CHANGE_BAR_WIDTH

    static final int PR_CHANGE_BAR_WIDTH

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_CHARACTER

    static final int PR_CHARACTER

  Property constant

  See Also:
    Constant Field Values

### PR_CLEAR

    static final int PR_CLEAR

  Property constant

  See Also:
    Constant Field Values

### PR_CLIP

    static final int PR_CLIP

  Property constant

  See Also:
    Constant Field Values

### PR_COLOR

    static final int PR_COLOR

  Property constant

  See Also:
    Constant Field Values

### PR_COLOR_PROFILE_NAME

    static final int PR_COLOR_PROFILE_NAME

  Property constant

  See Also:
    Constant Field Values

### PR_COLUMN_COUNT

    static final int PR_COLUMN_COUNT

  Property constant

  See Also:
    Constant Field Values

### PR_COLUMN_GAP

    static final int PR_COLUMN_GAP

  Property constant

  See Also:
    Constant Field Values

### PR_COLUMN_NUMBER

    static final int PR_COLUMN_NUMBER

  Property constant

  See Also:
    Constant Field Values

### PR_COLUMN_WIDTH

    static final int PR_COLUMN_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_CONTENT_HEIGHT

    static final int PR_CONTENT_HEIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_CONTENT_TYPE

    static final int PR_CONTENT_TYPE

  Property constant

  See Also:
    Constant Field Values

### PR_CONTENT_WIDTH

    static final int PR_CONTENT_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_COUNTRY

    static final int PR_COUNTRY

  Property constant

  See Also:
    Constant Field Values

### PR_CUE

    static final int PR_CUE

  Property constant

  See Also:
    Constant Field Values

### PR_CUE_AFTER

    static final int PR_CUE_AFTER

  Property constant

  See Also:
    Constant Field Values

### PR_CUE_BEFORE

    static final int PR_CUE_BEFORE

  Property constant

  See Also:
    Constant Field Values

### PR_DESTINATION_PLACEMENT_OFFSET

    static final int PR_DESTINATION_PLACEMENT_OFFSET

  Property constant

  See Also:
    Constant Field Values

### PR_DIRECTION

    static final int PR_DIRECTION

  Property constant

  See Also:
    Constant Field Values

### PR_DISPLAY_ALIGN

    static final int PR_DISPLAY_ALIGN

  Property constant

  See Also:
    Constant Field Values

### PR_DOMINANT_BASELINE

    static final int PR_DOMINANT_BASELINE

  Property constant

  See Also:
    Constant Field Values

### PR_ELEVATION

    static final int PR_ELEVATION

  Property constant

  See Also:
    Constant Field Values

### PR_EMPTY_CELLS

    static final int PR_EMPTY_CELLS

  Property constant

  See Also:
    Constant Field Values

### PR_END_INDENT

    static final int PR_END_INDENT

  Property constant

  See Also:
    Constant Field Values

### PR_ENDS_ROW

    static final int PR_ENDS_ROW

  Property constant

  See Also:
    Constant Field Values

### PR_EXTENT

    static final int PR_EXTENT

  Property constant

  See Also:
    Constant Field Values

### PR_EXTERNAL_DESTINATION

    static final int PR_EXTERNAL_DESTINATION

  Property constant

  See Also:
    Constant Field Values

### PR_FLOAT

    static final int PR_FLOAT

  Property constant

  See Also:
    Constant Field Values

### PR_FLOW_MAP_NAME

    static final int PR_FLOW_MAP_NAME

  Property constant -- XSL 1.1

  See Also:
    Constant Field Values

### PR_FLOW_MAP_REFERENCE

    static final int PR_FLOW_MAP_REFERENCE

  Property constant -- XSL 1.1

  See Also:
    Constant Field Values

### PR_FLOW_NAME

    static final int PR_FLOW_NAME

  Property constant

  See Also:
    Constant Field Values

### PR_FLOW_NAME_REFERENCE

    static final int PR_FLOW_NAME_REFERENCE

  Property constant -- XSL 1.1

  See Also:
    Constant Field Values

### PR_FONT

    static final int PR_FONT

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_FAMILY

    static final int PR_FONT_FAMILY

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_SELECTION_STRATEGY

    static final int PR_FONT_SELECTION_STRATEGY

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_SIZE

    static final int PR_FONT_SIZE

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_SIZE_ADJUST

    static final int PR_FONT_SIZE_ADJUST

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_STRETCH

    static final int PR_FONT_STRETCH

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_STYLE

    static final int PR_FONT_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_VARIANT

    static final int PR_FONT_VARIANT

  Property constant

  See Also:
    Constant Field Values

### PR_FONT_WEIGHT

    static final int PR_FONT_WEIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_FORCE_PAGE_COUNT

    static final int PR_FORCE_PAGE_COUNT

  Property constant

  See Also:
    Constant Field Values

### PR_FORMAT

    static final int PR_FORMAT

  Property constant

  See Also:
    Constant Field Values

### PR_GLYPH_ORIENTATION_HORIZONTAL

    static final int PR_GLYPH_ORIENTATION_HORIZONTAL

  Property constant

  See Also:
    Constant Field Values

### PR_GLYPH_ORIENTATION_VERTICAL

    static final int PR_GLYPH_ORIENTATION_VERTICAL

  Property constant

  See Also:
    Constant Field Values

### PR_GROUPING_SEPARATOR

    static final int PR_GROUPING_SEPARATOR

  Property constant

  See Also:
    Constant Field Values

### PR_GROUPING_SIZE

    static final int PR_GROUPING_SIZE

  Property constant

  See Also:
    Constant Field Values

### PR_HEIGHT

    static final int PR_HEIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_HYPHENATE

    static final int PR_HYPHENATE

  Property constant

  See Also:
    Constant Field Values

### PR_HYPHENATION_CHARACTER

    static final int PR_HYPHENATION_CHARACTER

  Property constant

  See Also:
    Constant Field Values

### PR_HYPHENATION_KEEP

    static final int PR_HYPHENATION_KEEP

  Property constant

  See Also:
    Constant Field Values

### PR_HYPHENATION_LADDER_COUNT

    static final int PR_HYPHENATION_LADDER_COUNT

  Property constant

  See Also:
    Constant Field Values

### PR_HYPHENATION_PUSH_CHARACTER_COUNT

    static final int PR_HYPHENATION_PUSH_CHARACTER_COUNT

  Property constant

  See Also:
    Constant Field Values

### PR_HYPHENATION_REMAIN_CHARACTER_COUNT

    static final int PR_HYPHENATION_REMAIN_CHARACTER_COUNT

  Property constant

  See Also:
    Constant Field Values

### PR_ID

    static final int PR_ID

  Property constant

  See Also:
    Constant Field Values

### PR_INDICATE_DESTINATION

    static final int PR_INDICATE_DESTINATION

  Property constant

  See Also:
    Constant Field Values

### PR_INDEX_CLASS

    static final int PR_INDEX_CLASS

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_INDEX_KEY

    static final int PR_INDEX_KEY

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_INITIAL_PAGE_NUMBER

    static final int PR_INITIAL_PAGE_NUMBER

  Property constant

  See Also:
    Constant Field Values

### PR_INLINE_PROGRESSION_DIMENSION

    static final int PR_INLINE_PROGRESSION_DIMENSION

  Property constant

  See Also:
    Constant Field Values

### PR_INTERNAL_DESTINATION

    static final int PR_INTERNAL_DESTINATION

  Property constant

  See Also:
    Constant Field Values

### PR_INTRINSIC_SCALE_VALUE

    static final int PR_INTRINSIC_SCALE_VALUE

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_INTRUSION_DISPLACE

    static final int PR_INTRUSION_DISPLACE

  Property constant

  See Also:
    Constant Field Values

### PR_KEEP_TOGETHER

    static final int PR_KEEP_TOGETHER

  Property constant

  See Also:
    Constant Field Values

### PR_KEEP_WITH_NEXT

    static final int PR_KEEP_WITH_NEXT

  Property constant

  See Also:
    Constant Field Values

### PR_KEEP_WITH_PREVIOUS

    static final int PR_KEEP_WITH_PREVIOUS

  Property constant

  See Also:
    Constant Field Values

### PR_LANGUAGE

    static final int PR_LANGUAGE

  Property constant

  See Also:
    Constant Field Values

### PR_LAST_LINE_END_INDENT

    static final int PR_LAST_LINE_END_INDENT

  Property constant

  See Also:
    Constant Field Values

### PR_LEADER_ALIGNMENT

    static final int PR_LEADER_ALIGNMENT

  Property constant

  See Also:
    Constant Field Values

### PR_LEADER_LENGTH

    static final int PR_LEADER_LENGTH

  Property constant

  See Also:
    Constant Field Values

### PR_LEADER_PATTERN

    static final int PR_LEADER_PATTERN

  Property constant

  See Also:
    Constant Field Values

### PR_LEADER_PATTERN_WIDTH

    static final int PR_LEADER_PATTERN_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_LEFT

    static final int PR_LEFT

  Property constant

  See Also:
    Constant Field Values

### PR_LETTER_SPACING

    static final int PR_LETTER_SPACING

  Property constant

  See Also:
    Constant Field Values

### PR_LETTER_VALUE

    static final int PR_LETTER_VALUE

  Property constant

  See Also:
    Constant Field Values

### PR_LINEFEED_TREATMENT

    static final int PR_LINEFEED_TREATMENT

  Property constant

  See Also:
    Constant Field Values

### PR_LINE_HEIGHT

    static final int PR_LINE_HEIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_LINE_HEIGHT_SHIFT_ADJUSTMENT

    static final int PR_LINE_HEIGHT_SHIFT_ADJUSTMENT

  Property constant

  See Also:
    Constant Field Values

### PR_LINE_STACKING_STRATEGY

    static final int PR_LINE_STACKING_STRATEGY

  Property constant

  See Also:
    Constant Field Values

### PR_MARGIN

    static final int PR_MARGIN

  Property constant

  See Also:
    Constant Field Values

### PR_MARGIN_BOTTOM

    static final int PR_MARGIN_BOTTOM

  Property constant

  See Also:
    Constant Field Values

### PR_MARGIN_LEFT

    static final int PR_MARGIN_LEFT

  Property constant

  See Also:
    Constant Field Values

### PR_MARGIN_RIGHT

    static final int PR_MARGIN_RIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_MARGIN_TOP

    static final int PR_MARGIN_TOP

  Property constant

  See Also:
    Constant Field Values

### PR_MARKER_CLASS_NAME

    static final int PR_MARKER_CLASS_NAME

  Property constant

  See Also:
    Constant Field Values

### PR_MASTER_NAME

    static final int PR_MASTER_NAME

  Property constant

  See Also:
    Constant Field Values

### PR_MASTER_REFERENCE

    static final int PR_MASTER_REFERENCE

  Property constant

  See Also:
    Constant Field Values

### PR_MAX_HEIGHT

    static final int PR_MAX_HEIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_MAXIMUM_REPEATS

    static final int PR_MAXIMUM_REPEATS

  Property constant

  See Also:
    Constant Field Values

### PR_MAX_WIDTH

    static final int PR_MAX_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_MERGE_PAGES_ACROSS_INDEX_KEY_REFERENCES

    static final int PR_MERGE_PAGES_ACROSS_INDEX_KEY_REFERENCES

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_MERGE_RANGES_ACROSS_INDEX_KEY_REFERENCES

    static final int PR_MERGE_RANGES_ACROSS_INDEX_KEY_REFERENCES

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_MERGE_SEQUENTIAL_PAGE_NUMBERS

    static final int PR_MERGE_SEQUENTIAL_PAGE_NUMBERS

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_MEDIA_USAGE

    static final int PR_MEDIA_USAGE

  Property constant

  See Also:
    Constant Field Values

### PR_MIN_HEIGHT

    static final int PR_MIN_HEIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_MIN_WIDTH

    static final int PR_MIN_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_NUMBER_COLUMNS_REPEATED

    static final int PR_NUMBER_COLUMNS_REPEATED

  Property constant

  See Also:
    Constant Field Values

### PR_NUMBER_COLUMNS_SPANNED

    static final int PR_NUMBER_COLUMNS_SPANNED

  Property constant

  See Also:
    Constant Field Values

### PR_NUMBER_ROWS_SPANNED

    static final int PR_NUMBER_ROWS_SPANNED

  Property constant

  See Also:
    Constant Field Values

### PR_ODD_OR_EVEN

    static final int PR_ODD_OR_EVEN

  Property constant

  See Also:
    Constant Field Values

### PR_ORPHANS

    static final int PR_ORPHANS

  Property constant

  See Also:
    Constant Field Values

### PR_OVERFLOW

    static final int PR_OVERFLOW

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING

    static final int PR_PADDING

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_AFTER

    static final int PR_PADDING_AFTER

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_BEFORE

    static final int PR_PADDING_BEFORE

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_BOTTOM

    static final int PR_PADDING_BOTTOM

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_END

    static final int PR_PADDING_END

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_LEFT

    static final int PR_PADDING_LEFT

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_RIGHT

    static final int PR_PADDING_RIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_START

    static final int PR_PADDING_START

  Property constant

  See Also:
    Constant Field Values

### PR_PADDING_TOP

    static final int PR_PADDING_TOP

  Property constant

  See Also:
    Constant Field Values

### PR_PAGE_BREAK_AFTER

    static final int PR_PAGE_BREAK_AFTER

  Property constant

  See Also:
    Constant Field Values

### PR_PAGE_BREAK_BEFORE

    static final int PR_PAGE_BREAK_BEFORE

  Property constant

  See Also:
    Constant Field Values

### PR_PAGE_BREAK_INSIDE

    static final int PR_PAGE_BREAK_INSIDE

  Property constant

  See Also:
    Constant Field Values

### PR_PAGE_CITATION_STRATEGY

    static final int PR_PAGE_CITATION_STRATEGY

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_PAGE_HEIGHT

    static final int PR_PAGE_HEIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_PAGE_NUMBER_TREATMENT

    static final int PR_PAGE_NUMBER_TREATMENT

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_PAGE_POSITION

    static final int PR_PAGE_POSITION

  Property constant

  See Also:
    Constant Field Values

### PR_PAGE_WIDTH

    static final int PR_PAGE_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_PAUSE

    static final int PR_PAUSE

  Property constant

  See Also:
    Constant Field Values

### PR_PAUSE_AFTER

    static final int PR_PAUSE_AFTER

  Property constant

  See Also:
    Constant Field Values

### PR_PAUSE_BEFORE

    static final int PR_PAUSE_BEFORE

  Property constant

  See Also:
    Constant Field Values

### PR_PITCH

    static final int PR_PITCH

  Property constant

  See Also:
    Constant Field Values

### PR_PITCH_RANGE

    static final int PR_PITCH_RANGE

  Property constant

  See Also:
    Constant Field Values

### PR_PLAY_DURING

    static final int PR_PLAY_DURING

  Property constant

  See Also:
    Constant Field Values

### PR_POSITION

    static final int PR_POSITION

  Property constant

  See Also:
    Constant Field Values

### PR_PRECEDENCE

    static final int PR_PRECEDENCE

  Property constant

  See Also:
    Constant Field Values

### PR_PROVISIONAL_DISTANCE_BETWEEN_STARTS

    static final int PR_PROVISIONAL_DISTANCE_BETWEEN_STARTS

  Property constant

  See Also:
    Constant Field Values

### PR_PROVISIONAL_LABEL_SEPARATION

    static final int PR_PROVISIONAL_LABEL_SEPARATION

  Property constant

  See Also:
    Constant Field Values

### PR_REFERENCE_ORIENTATION

    static final int PR_REFERENCE_ORIENTATION

  Property constant

  See Also:
    Constant Field Values

### PR_REF_ID

    static final int PR_REF_ID

  Property constant

  See Also:
    Constant Field Values

### PR_REGION_NAME

    static final int PR_REGION_NAME

  Property constant

  See Also:
    Constant Field Values

### PR_REGION_NAME_REFERENCE

    static final int PR_REGION_NAME_REFERENCE

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_REF_INDEX_KEY

    static final int PR_REF_INDEX_KEY

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_RELATIVE_ALIGN

    static final int PR_RELATIVE_ALIGN

  Property constant

  See Also:
    Constant Field Values

### PR_RELATIVE_POSITION

    static final int PR_RELATIVE_POSITION

  Property constant

  See Also:
    Constant Field Values

### PR_RENDERING_INTENT

    static final int PR_RENDERING_INTENT

  Property constant

  See Also:
    Constant Field Values

### PR_RETRIEVE_BOUNDARY

    static final int PR_RETRIEVE_BOUNDARY

  Property constant

  See Also:
    Constant Field Values

### PR_RETRIEVE_BOUNDARY_WITHIN_TABLE

    static final int PR_RETRIEVE_BOUNDARY_WITHIN_TABLE

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_RETRIEVE_CLASS_NAME

    static final int PR_RETRIEVE_CLASS_NAME

  Property constant

  See Also:
    Constant Field Values

### PR_RETRIEVE_POSITION

    static final int PR_RETRIEVE_POSITION

  Property constant

  See Also:
    Constant Field Values

### PR_RETRIEVE_POSITION_WITHIN_TABLE

    static final int PR_RETRIEVE_POSITION_WITHIN_TABLE

  Property constant - XSL 1.1

  See Also:
    Constant Field Values

### PR_RICHNESS

    static final int PR_RICHNESS

  Property constant

  See Also:
    Constant Field Values

### PR_RIGHT

    static final int PR_RIGHT

  Property constant

  See Also:
    Constant Field Values

### PR_ROLE

    static final int PR_ROLE

  Property constant

  See Also:
    Constant Field Values

### PR_RULE_STYLE

    static final int PR_RULE_STYLE

  Property constant

  See Also:
    Constant Field Values

### PR_RULE_THICKNESS

    static final int PR_RULE_THICKNESS

  Property constant

  See Also:
    Constant Field Values

### PR_SCALING

    static final int PR_SCALING

  Property constant

  See Also:
    Constant Field Values

### PR_SCALING_METHOD

    static final int PR_SCALING_METHOD

  Property constant

  See Also:
    Constant Field Values

### PR_SCORE_SPACES

    static final int PR_SCORE_SPACES

  Property constant

  See Also:
    Constant Field Values

### PR_SCRIPT

    static final int PR_SCRIPT

  Property constant

  See Also:
    Constant Field Values

### PR_SHOW_DESTINATION

    static final int PR_SHOW_DESTINATION

  Property constant

  See Also:
    Constant Field Values

### PR_SIZE

    static final int PR_SIZE

  Property constant

  See Also:
    Constant Field Values

### PR_SOURCE_DOCUMENT

    static final int PR_SOURCE_DOCUMENT

  Property constant

  See Also:
    Constant Field Values

### PR_SPACE_AFTER

    static final int PR_SPACE_AFTER

  Property constant

  See Also:
    Constant Field Values

### PR_SPACE_BEFORE

    static final int PR_SPACE_BEFORE

  Property constant

  See Also:
    Constant Field Values

### PR_SPACE_END

    static final int PR_SPACE_END

  Property constant

  See Also:
    Constant Field Values

### PR_SPACE_START

    static final int PR_SPACE_START

  Property constant

  See Also:
    Constant Field Values

### PR_SPAN

    static final int PR_SPAN

  Property constant

  See Also:
    Constant Field Values

### PR_SPEAK

    static final int PR_SPEAK

  Property constant

  See Also:
    Constant Field Values

### PR_SPEAK_HEADER

    static final int PR_SPEAK_HEADER

  Property constant

  See Also:
    Constant Field Values

### PR_SPEAK_NUMERAL

    static final int PR_SPEAK_NUMERAL

  Property constant

  See Also:
    Constant Field Values

### PR_SPEAK_PUNCTUATION

    static final int PR_SPEAK_PUNCTUATION

  Property constant

  See Also:
    Constant Field Values

### PR_SPEECH_RATE

    static final int PR_SPEECH_RATE

  Property constant

  See Also:
    Constant Field Values

### PR_SRC

    static final int PR_SRC

  Property constant

  See Also:
    Constant Field Values

### PR_START_INDENT

    static final int PR_START_INDENT

  Property constant

  See Also:
    Constant Field Values

### PR_STARTING_STATE

    static final int PR_STARTING_STATE

  Property constant

  See Also:
    Constant Field Values

### PR_STARTS_ROW

    static final int PR_STARTS_ROW

  Property constant

  See Also:
    Constant Field Values

### PR_STRESS

    static final int PR_STRESS

  Property constant

  See Also:
    Constant Field Values

### PR_SUPPRESS_AT_LINE_BREAK

    static final int PR_SUPPRESS_AT_LINE_BREAK

  Property constant

  See Also:
    Constant Field Values

### PR_SWITCH_TO

    static final int PR_SWITCH_TO

  Property constant

  See Also:
    Constant Field Values

### PR_TABLE_LAYOUT

    static final int PR_TABLE_LAYOUT

  Property constant

  See Also:
    Constant Field Values

### PR_TABLE_OMIT_FOOTER_AT_BREAK

    static final int PR_TABLE_OMIT_FOOTER_AT_BREAK

  Property constant

  See Also:
    Constant Field Values

### PR_TABLE_OMIT_HEADER_AT_BREAK

    static final int PR_TABLE_OMIT_HEADER_AT_BREAK

  Property constant

  See Also:
    Constant Field Values

### PR_TARGET_PRESENTATION_CONTEXT

    static final int PR_TARGET_PRESENTATION_CONTEXT

  Property constant

  See Also:
    Constant Field Values

### PR_TARGET_PROCESSING_CONTEXT

    static final int PR_TARGET_PROCESSING_CONTEXT

  Property constant

  See Also:
    Constant Field Values

### PR_TARGET_STYLESHEET

    static final int PR_TARGET_STYLESHEET

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_ALIGN

    static final int PR_TEXT_ALIGN

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_ALIGN_LAST

    static final int PR_TEXT_ALIGN_LAST

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_ALTITUDE

    static final int PR_TEXT_ALTITUDE

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_DECORATION

    static final int PR_TEXT_DECORATION

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_DEPTH

    static final int PR_TEXT_DEPTH

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_INDENT

    static final int PR_TEXT_INDENT

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_SHADOW

    static final int PR_TEXT_SHADOW

  Property constant

  See Also:
    Constant Field Values

### PR_TEXT_TRANSFORM

    static final int PR_TEXT_TRANSFORM

  Property constant

  See Also:
    Constant Field Values

### PR_TOP

    static final int PR_TOP

  Property constant

  See Also:
    Constant Field Values

### PR_TREAT_AS_WORD_SPACE

    static final int PR_TREAT_AS_WORD_SPACE

  Property constant

  See Also:
    Constant Field Values

### PR_UNICODE_BIDI

    static final int PR_UNICODE_BIDI

  Property constant

  See Also:
    Constant Field Values

### PR_VERTICAL_ALIGN

    static final int PR_VERTICAL_ALIGN

  Property constant

  See Also:
    Constant Field Values

### PR_VISIBILITY

    static final int PR_VISIBILITY

  Property constant

  See Also:
    Constant Field Values

### PR_VOICE_FAMILY

    static final int PR_VOICE_FAMILY

  Property constant

  See Also:
    Constant Field Values

### PR_VOLUME

    static final int PR_VOLUME

  Property constant

  See Also:
    Constant Field Values

### PR_WHITE_SPACE

    static final int PR_WHITE_SPACE

  Property constant

  See Also:
    Constant Field Values

### PR_WHITE_SPACE_COLLAPSE

    static final int PR_WHITE_SPACE_COLLAPSE

  Property constant

  See Also:
    Constant Field Values

### PR_WHITE_SPACE_TREATMENT

    static final int PR_WHITE_SPACE_TREATMENT

  Property constant

  See Also:
    Constant Field Values

### PR_WIDOWS

    static final int PR_WIDOWS

  Property constant

  See Also:
    Constant Field Values

### PR_WIDTH

    static final int PR_WIDTH

  Property constant

  See Also:
    Constant Field Values

### PR_WORD_SPACING

    static final int PR_WORD_SPACING

  Property constant

  See Also:
    Constant Field Values

### PR_WRAP_OPTION

    static final int PR_WRAP_OPTION

  Property constant

  See Also:
    Constant Field Values

### PR_WRITING_MODE

    static final int PR_WRITING_MODE

  Property constant

  See Also:
    Constant Field Values

### PR_XML_LANG

    static final int PR_XML_LANG

  Property constant

  See Also:
    Constant Field Values

### PR_Z_INDEX

    static final int PR_Z_INDEX

  Property constant

  See Also:
    Constant Field Values

### PR_X_WIDOW_CONTENT_LIMIT

    static final int PR_X_WIDOW_CONTENT_LIMIT

  Property constant - FOP proprietary: limit for widow content in lists and tables

  See Also:
    Constant Field Values

### PR_X_ORPHAN_CONTENT_LIMIT

    static final int PR_X_ORPHAN_CONTENT_LIMIT

  Property constant - FOP proprietary: limit for orphan content in lists and tables

  See Also:
    Constant Field Values

### PR_X_DISABLE_COLUMN_BALANCING

    static final int PR_X_DISABLE_COLUMN_BALANCING

  Property constant - FOP proprietary: disable balancing of columns in multi-column layouts.

  See Also:
    Constant Field Values

### PR_X_ALT_TEXT

    static final int PR_X_ALT_TEXT

  Property constant - FOP proprietary: alternative text for e-g and i-f-o. Used for accessibility.

  See Also:
    Constant Field Values

### PR_X_XML_BASE

    static final int PR_X_XML_BASE

  Property constant - FOP proprietary prototype (in XSL-FO 2.0 Requirements)

  See Also:
    Constant Field Values

### PR_X_BORDER_BEFORE_RADIUS_START

    static final int PR_X_BORDER_BEFORE_RADIUS_START

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_BEFORE_RADIUS_END

    static final int PR_X_BORDER_BEFORE_RADIUS_END

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_AFTER_RADIUS_START

    static final int PR_X_BORDER_AFTER_RADIUS_START

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_AFTER_RADIUS_END

    static final int PR_X_BORDER_AFTER_RADIUS_END

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_START_RADIUS_BEFORE

    static final int PR_X_BORDER_START_RADIUS_BEFORE

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_START_RADIUS_AFTER

    static final int PR_X_BORDER_START_RADIUS_AFTER

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_END_RADIUS_BEFORE

    static final int PR_X_BORDER_END_RADIUS_BEFORE

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_END_RADIUS_AFTER

    static final int PR_X_BORDER_END_RADIUS_AFTER

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_RADIUS

    static final int PR_X_BORDER_RADIUS

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_BEFORE_START_RADIUS

    static final int PR_X_BORDER_BEFORE_START_RADIUS

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_BEFORE_END_RADIUS

    static final int PR_X_BORDER_BEFORE_END_RADIUS

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_AFTER_START_RADIUS

    static final int PR_X_BORDER_AFTER_START_RADIUS

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_BORDER_AFTER_END_RADIUS

    static final int PR_X_BORDER_AFTER_END_RADIUS

  Property constant FOP proprietary

  See Also:
    Constant Field Values

### PR_X_NUMBER_CONVERSION_FEATURES

    static final int PR_X_NUMBER_CONVERSION_FEATURES

  Property constant - FOP proprietary extension (see NumberConverter) used to perform additional control over number conversion when generating page numbers.

  See Also:
    Constant Field Values

### PR_X_HEADER_COLUMN

    static final int PR_X_HEADER_COLUMN

  Scope for table header

  See Also:
    Constant Field Values

### PR_X_LAYER

    static final int PR_X_LAYER

  For specifying PDF optional content group (layer) binding.

  See Also:
    Constant Field Values

### PR_X_AUTO_TOGGLE

    static final int PR_X_AUTO_TOGGLE

  Property constant

  See Also:
    Constant Field Values

### PR_X_BACKGROUND_IMAGE_WIDTH

    static final int PR_X_BACKGROUND_IMAGE_WIDTH

  Used for scaling of background images

  See Also:
    Constant Field Values

### PR_X_BACKGROUND_IMAGE_HEIGHT

    static final int PR_X_BACKGROUND_IMAGE_HEIGHT

See Also:
  Constant Field Values

### PR_X_ABBREVIATION

    static final int PR_X_ABBREVIATION

  For specifying extended text for abbreviation

  See Also:
    Constant Field Values

### PROPERTY_COUNT

    static final int PROPERTY_COUNT

  Number of property constants defined

  See Also:
    Constant Field Values

### CP_BLOCK_PROGRESSION_DIRECTION

    static final int CP_BLOCK_PROGRESSION_DIRECTION

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_CONDITIONALITY

    static final int CP_CONDITIONALITY

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_INLINE_PROGRESSION_DIRECTION

    static final int CP_INLINE_PROGRESSION_DIRECTION

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_LENGTH

    static final int CP_LENGTH

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_MAXIMUM

    static final int CP_MAXIMUM

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_MINIMUM

    static final int CP_MINIMUM

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_OPTIMUM

    static final int CP_OPTIMUM

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_PRECEDENCE

    static final int CP_PRECEDENCE

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_WITHIN_COLUMN

    static final int CP_WITHIN_COLUMN

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_WITHIN_LINE

    static final int CP_WITHIN_LINE

  Property constant for compound property

  See Also:
    Constant Field Values

### CP_WITHIN_PAGE

    static final int CP_WITHIN_PAGE

  Property constant for compound property

  See Also:
    Constant Field Values

### EN_ABSOLUTE

    static final int EN_ABSOLUTE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ABSOLUTE_COLORMETRIC

    static final int EN_ABSOLUTE_COLORMETRIC

  Enumeration constant

  See Also:
    Constant Field Values

### EN_AFTER

    static final int EN_AFTER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_AFTER_EDGE

    static final int EN_AFTER_EDGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ALL

    static final int EN_ALL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ALPHABETIC

    static final int EN_ALPHABETIC

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ALWAYS

    static final int EN_ALWAYS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ANY

    static final int EN_ANY

  Enumeration constant

  See Also:
    Constant Field Values

### EN_AUTO

    static final int EN_AUTO

  Enumeration constant

  See Also:
    Constant Field Values

### EN_AUTO_EVEN

    static final int EN_AUTO_EVEN

  Enumeration constant

  See Also:
    Constant Field Values

### EN_AUTO_ODD

    static final int EN_AUTO_ODD

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BASELINE

    static final int EN_BASELINE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BEFORE

    static final int EN_BEFORE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BEFORE_EDGE

    static final int EN_BEFORE_EDGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BIDI_OVERRIDE

    static final int EN_BIDI_OVERRIDE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BLANK

    static final int EN_BLANK

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BLINK

    static final int EN_BLINK

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BLOCK

    static final int EN_BLOCK

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BOTH

    static final int EN_BOTH

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BOTTOM

    static final int EN_BOTTOM

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BOUNDED_IN_ONE_DIMENSION

    static final int EN_BOUNDED_IN_ONE_DIMENSION

  Enumeration constant

  See Also:
    Constant Field Values

### EN_CAPITALIZE

    static final int EN_CAPITALIZE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_CENTER

    static final int EN_CENTER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_CENTRAL

    static final int EN_CENTRAL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_CHARACTER_BY_CHARACTER

    static final int EN_CHARACTER_BY_CHARACTER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_COLLAPSE

    static final int EN_COLLAPSE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_COLLAPSE_WITH_PRECEDENCE

    static final int EN_COLLAPSE_WITH_PRECEDENCE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_COLUMN

    static final int EN_COLUMN

  Enumeration constant

  See Also:
    Constant Field Values

### EN_CONDENSED

    static final int EN_CONDENSED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_CONSIDER_SHIFTS

    static final int EN_CONSIDER_SHIFTS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_DASHED

    static final int EN_DASHED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_DISCARD

    static final int EN_DISCARD

  Enumeration constant

  See Also:
    Constant Field Values

### EN_DISREGARD_SHIFTS

    static final int EN_DISREGARD_SHIFTS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_DOCUMENT

    static final int EN_DOCUMENT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_DOTS

    static final int EN_DOTS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_DOTTED

    static final int EN_DOTTED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_DOUBLE

    static final int EN_DOUBLE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_EMBED

    static final int EN_EMBED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_END

    static final int EN_END

  Enumeration constant

  See Also:
    Constant Field Values

### EN_END_ON_EVEN

    static final int EN_END_ON_EVEN

  Enumeration constant

  See Also:
    Constant Field Values

### EN_END_ON_ODD

    static final int EN_END_ON_ODD

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ERROR_IF_OVERFLOW

    static final int EN_ERROR_IF_OVERFLOW

  Enumeration constant

  See Also:
    Constant Field Values

### EN_EVEN

    static final int EN_EVEN

  Enumeration constant

  See Also:
    Constant Field Values

### EN_EVEN_PAGE

    static final int EN_EVEN_PAGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_EXPANDED

    static final int EN_EXPANDED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_EXTRA_CONDENSED

    static final int EN_EXTRA_CONDENSED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_EXTRA_EXPANDED

    static final int EN_EXTRA_EXPANDED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FALSE

    static final int EN_FALSE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FIC

    static final int EN_FIC

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FIRST

    static final int EN_FIRST

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FIXED

    static final int EN_FIXED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FONT_HEIGHT

    static final int EN_FONT_HEIGHT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FORCE

    static final int EN_FORCE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FSWP

    static final int EN_FSWP

  Enumeration constant

  See Also:
    Constant Field Values

### EN_GROOVE

    static final int EN_GROOVE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_HANGING

    static final int EN_HANGING

  Enumeration constant

  See Also:
    Constant Field Values

### EN_HIDDEN

    static final int EN_HIDDEN

  Enumeration constant

  See Also:
    Constant Field Values

### EN_HIDE

    static final int EN_HIDE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_IDEOGRAPHIC

    static final int EN_IDEOGRAPHIC

  Enumeration constant

  See Also:
    Constant Field Values

### EN_IGNORE

    static final int EN_IGNORE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_IGNORE_IF_AFTER_LINEFEED

    static final int EN_IGNORE_IF_AFTER_LINEFEED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_IGNORE_IF_BEFORE_LINEFEED

    static final int EN_IGNORE_IF_BEFORE_LINEFEED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_IGNORE_IF_SURROUNDING_LINEFEED

    static final int EN_IGNORE_IF_SURROUNDING_LINEFEED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_INDEFINITE

    static final int EN_INDEFINITE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_INDENT

    static final int EN_INDENT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_INHERIT

    static final int EN_INHERIT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_INSET

    static final int EN_INSET

  Enumeration constant

  See Also:
    Constant Field Values

### EN_INSIDE

    static final int EN_INSIDE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_INTEGER_PIXELS

    static final int EN_INTEGER_PIXELS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_JUSTIFY

    static final int EN_JUSTIFY

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LARGER

    static final int EN_LARGER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LAST

    static final int EN_LAST

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LEFT

    static final int EN_LEFT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LEWP

    static final int EN_LEWP

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LINE

    static final int EN_LINE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LINE_HEIGHT

    static final int EN_LINE_HEIGHT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LINE_THROUGH

    static final int EN_LINE_THROUGH

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LOWERCASE

    static final int EN_LOWERCASE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LR_TB

    static final int EN_LR_TB

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LTR

    static final int EN_LTR

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LSWP

    static final int EN_LSWP

  Enumeration constant

  See Also:
    Constant Field Values

### EN_MATHEMATICAL

    static final int EN_MATHEMATICAL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_MAX_HEIGHT

    static final int EN_MAX_HEIGHT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_MIDDLE

    static final int EN_MIDDLE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NARROWER

    static final int EN_NARROWER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_BLINK

    static final int EN_NO_BLINK

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_CHANGE

    static final int EN_NO_CHANGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_FORCE

    static final int EN_NO_FORCE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_LIMIT

    static final int EN_NO_LIMIT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_LINE_THROUGH

    static final int EN_NO_LINE_THROUGH

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_OVERLINE

    static final int EN_NO_OVERLINE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_UNDERLINE

    static final int EN_NO_UNDERLINE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NO_WRAP

    static final int EN_NO_WRAP

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NON_UNIFORM

    static final int EN_NON_UNIFORM

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NONE

    static final int EN_NONE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NOREPEAT

    static final int EN_NOREPEAT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NORMAL

    static final int EN_NORMAL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_NOT_BLANK

    static final int EN_NOT_BLANK

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ODD

    static final int EN_ODD

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ODD_PAGE

    static final int EN_ODD_PAGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_OUTSET

    static final int EN_OUTSET

  Enumeration constant

  See Also:
    Constant Field Values

### EN_OUTSIDE

    static final int EN_OUTSIDE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_OVERLINE

    static final int EN_OVERLINE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_PAGE

    static final int EN_PAGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_PAGE_SEQUENCE

    static final int EN_PAGE_SEQUENCE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_PAGINATE

    static final int EN_PAGINATE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_PERCEPTUAL

    static final int EN_PERCEPTUAL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_PRESERVE

    static final int EN_PRESERVE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_REFERENCE_AREA

    static final int EN_REFERENCE_AREA

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RELATIVE

    static final int EN_RELATIVE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RELATIVE_COLOMETRIC

    static final int EN_RELATIVE_COLOMETRIC

  Enumeration constant

  See Also:
    Constant Field Values

### EN_REPEAT

    static final int EN_REPEAT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_REPEATX

    static final int EN_REPEATX

  Enumeration constant

  See Also:
    Constant Field Values

### EN_REPEATY

    static final int EN_REPEATY

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RESAMPLE_ANY_METHOD

    static final int EN_RESAMPLE_ANY_METHOD

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RESET_SIZE

    static final int EN_RESET_SIZE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_REST

    static final int EN_REST

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RETAIN

    static final int EN_RETAIN

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RIDGE

    static final int EN_RIDGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RIGHT

    static final int EN_RIGHT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RL_TB

    static final int EN_RL_TB

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RTL

    static final int EN_RTL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_RULE

    static final int EN_RULE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SATURATION

    static final int EN_SATURATION

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SCALE_TO_FIT

    static final int EN_SCALE_TO_FIT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SCROLL

    static final int EN_SCROLL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SEMI_CONDENSED

    static final int EN_SEMI_CONDENSED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SEMI_EXPANDED

    static final int EN_SEMI_EXPANDED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SEPARATE

    static final int EN_SEPARATE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SHOW

    static final int EN_SHOW

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SMALL_CAPS

    static final int EN_SMALL_CAPS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SMALLER

    static final int EN_SMALLER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SOLID

    static final int EN_SOLID

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SPACE

    static final int EN_SPACE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_START

    static final int EN_START

  Enumeration constant

  See Also:
    Constant Field Values

### EN_STATIC

    static final int EN_STATIC

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SUB

    static final int EN_SUB

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SUPER

    static final int EN_SUPER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_SUPPRESS

    static final int EN_SUPPRESS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TB_RL

    static final int EN_TB_RL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TEXT_AFTER_EDGE

    static final int EN_TEXT_AFTER_EDGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TEXT_BEFORE_EDGE

    static final int EN_TEXT_BEFORE_EDGE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TEXT_BOTTOM

    static final int EN_TEXT_BOTTOM

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TEXT_TOP

    static final int EN_TEXT_TOP

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TOP

    static final int EN_TOP

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TRADITIONAL

    static final int EN_TRADITIONAL

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TREAT_AS_SPACE

    static final int EN_TREAT_AS_SPACE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TREAT_AS_ZERO_WIDTH_SPACE

    static final int EN_TREAT_AS_ZERO_WIDTH_SPACE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_TRUE

    static final int EN_TRUE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ULTRA_CONDENSED

    static final int EN_ULTRA_CONDENSED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ULTRA_EXPANDED

    static final int EN_ULTRA_EXPANDED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_UNBOUNDED

    static final int EN_UNBOUNDED

  Enumeration constant

  See Also:
    Constant Field Values

### EN_UNDERLINE

    static final int EN_UNDERLINE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_UNIFORM

    static final int EN_UNIFORM

  Enumeration constant

  See Also:
    Constant Field Values

### EN_UPPERCASE

    static final int EN_UPPERCASE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_USE_FONT_METRICS

    static final int EN_USE_FONT_METRICS

  Enumeration constant

  See Also:
    Constant Field Values

### EN_USE_SCRIPT

    static final int EN_USE_SCRIPT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_USECONTENT

    static final int EN_USECONTENT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_VISIBLE

    static final int EN_VISIBLE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_WIDER

    static final int EN_WIDER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_WRAP

    static final int EN_WRAP

  Enumeration constant

  See Also:
    Constant Field Values

### EN_ITALIC

    static final int EN_ITALIC

  Enumeration constant

  See Also:
    Constant Field Values

### EN_OBLIQUE

    static final int EN_OBLIQUE

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BACKSLANT

    static final int EN_BACKSLANT

  Enumeration constant

  See Also:
    Constant Field Values

### EN_BOLDER

    static final int EN_BOLDER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_LIGHTER

    static final int EN_LIGHTER

  Enumeration constant

  See Also:
    Constant Field Values

### EN_100

    static final int EN_100

  Enumeration constant

  See Also:
    Constant Field Values

### EN_200

    static final int EN_200

  Enumeration constant

  See Also:
    Constant Field Values

### EN_300

    static final int EN_300

  Enumeration constant

  See Also:
    Constant Field Values

### EN_400

    static final int EN_400

  Enumeration constant

  See Also:
    Constant Field Values

### EN_500

    static final int EN_500

  Enumeration constant

  See Also:
    Constant Field Values

### EN_600

    static final int EN_600

  Enumeration constant

  See Also:
    Constant Field Values

### EN_700

    static final int EN_700

  Enumeration constant

  See Also:
    Constant Field Values

### EN_800

    static final int EN_800

  Enumeration constant

  See Also:
    Constant Field Values

### EN_900

    static final int EN_900

  Enumeration constant

  See Also:
    Constant Field Values

### EN_AVOID

    static final int EN_AVOID

  Enumeration constant -- page-break-shorthand

  See Also:
    Constant Field Values

### EN_PRE

    static final int EN_PRE

  Enumeration constant -- white-space shorthand

  See Also:
    Constant Field Values

### EN_CAPTION

    static final int EN_CAPTION

  Enumeration constant -- font shorthand

  See Also:
    Constant Field Values

### EN_ICON

    static final int EN_ICON

  Enumeration constant -- font shorthand

  See Also:
    Constant Field Values

### EN_MENU

    static final int EN_MENU

  Enumeration constant -- font shorthand

  See Also:
    Constant Field Values

### EN_MESSAGE_BOX

    static final int EN_MESSAGE_BOX

  Enumeration constant -- font shorthand

  See Also:
    Constant Field Values

### EN_SMALL_CAPTION

    static final int EN_SMALL_CAPTION

  Enumeration constant -- font shorthand

  See Also:
    Constant Field Values

### EN_STATUS_BAR

    static final int EN_STATUS_BAR

  Enumeration constant -- font shorthand

  See Also:
    Constant Field Values

### EN_ONLY

    static final int EN_ONLY

  Enumeration constant -- for page-position, XSL 1.1

  See Also:
    Constant Field Values

### EN_SCALE_DOWN_TO_FIT

    static final int EN_SCALE_DOWN_TO_FIT

  Enumeration constant -- for instream-foreign-object and external-graphic, XSL 1.1

  See Also:
    Constant Field Values

### EN_SCALE_UP_TO_FIT

    static final int EN_SCALE_UP_TO_FIT

  Enumeration constant -- for instream-foreign-object and external-graphic, XSL 1.1

  See Also:
    Constant Field Values

### EN_REPLACE

    static final int EN_REPLACE

  Enumeration constant -- for fo:basic-link show-destination

  See Also:
    Constant Field Values

### EN_NEW

    static final int EN_NEW

  Enumeration constant -- for fo:basic-link show-destination

  See Also:
    Constant Field Values

### EN_FIRST_STARTING

    static final int EN_FIRST_STARTING

  Enumeration constant -- for fo:retrieve-table-marker

  See Also:
    Constant Field Values

### EN_LAST_STARTING

    static final int EN_LAST_STARTING

  Enumeration constant -- for fo:retrieve-table-marker

  See Also:
    Constant Field Values

### EN_LAST_ENDING

    static final int EN_LAST_ENDING

  Enumeration constant -- for fo:retrieve-table-marker

  See Also:
    Constant Field Values

### EN_TABLE

    static final int EN_TABLE

  Enumeration constant -- for fo:retrieve-table-marker

  See Also:
    Constant Field Values

### EN_TABLE_FRAGMENT

    static final int EN_TABLE_FRAGMENT

  Enumeration constant -- for fo:retrieve-table-marker

  See Also:
    Constant Field Values

### EN_MERGE

    static final int EN_MERGE

  Enumeration constant -- XSL 1.1

  See Also:
    Constant Field Values

### EN_LEAVE_SEPARATE

    static final int EN_LEAVE_SEPARATE

  Enumeration constant -- XSL 1.1

  See Also:
    Constant Field Values

### EN_LINK

    static final int EN_LINK

  Enumeration constant -- XSL 1.1

  See Also:
    Constant Field Values

### EN_NO_LINK

    static final int EN_NO_LINK

  Enumeration constant -- XSL 1.1

  See Also:
    Constant Field Values

### EN_ALTERNATE

    static final int EN_ALTERNATE

  Enumeration constant -- XSL 1.1

  See Also:
    Constant Field Values

### EN_LR

    static final int EN_LR

  Enumeration constant -- for *-direction traits

  See Also:
    Constant Field Values

### EN_RL

    static final int EN_RL

  Enumeration constant -- for *-direction traits

  See Also:
    Constant Field Values

### EN_TB

    static final int EN_TB

  Enumeration constant -- for *-direction traits

  See Also:
    Constant Field Values

### EN_BT

    static final int EN_BT

  Enumeration constant -- for *-direction traits

  See Also:
    Constant Field Values

### EN_TB_LR

    static final int EN_TB_LR

  Enumeration constant

  See Also:
    Constant Field Values

### EN_FIRST_INCLUDING_CARRYOVER

    static final int EN_FIRST_INCLUDING_CARRYOVER

  Enumeration constant -- for fo:retrieve-table-marker

  See Also:
    Constant Field Values

### EN_SELECT_FIRST_FITTING

    static final int EN_SELECT_FIRST_FITTING

  Enumeration constant -- for auto-toggle

  See Also:
    Constant Field Values

### ENUM_COUNT

    static final int ENUM_COUNT

  Number of enumeration constants defined

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.